/**
 * 当前 https://main.test.nocobase.com/ 的数据表，时间：2023-06-04
 */
export const mainCollections = [
  {
    key: 'sx06i8h734p',
    name: 'users',
    title: '{{t("Users")}}',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'in3coyphs2y',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7slsxe3ecc6',
        name: 'nickname',
        type: 'string',
        interface: 'input',
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '{{t("Nickname")}}', 'x-component': 'Input' },
      },
      {
        key: 'ootprgkoawo',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        unique: true,
        uiSchema: {
          type: 'string',
          title: '{{t("Email")}}',
          'x-component': 'Input',
          'x-validator': 'email',
          required: true,
        },
      },
      {
        key: 'tdpdzvlafji',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        unique: true,
        uiSchema: {
          type: 'string',
          title: '{{t("Phone")}}',
          'x-component': 'Input',
          'x-validator': 'phone',
          required: true,
        },
      },
      {
        key: '45haybt78i5',
        name: 'password',
        type: 'password',
        interface: 'password',
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        hidden: true,
        uiSchema: { type: 'string', title: '{{t("Password")}}', 'x-component': 'Password' },
      },
      {
        key: 'bqfy4w1ohq7',
        name: 'appLang',
        type: 'string',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: '0gl3nczbjlg',
        name: 'resetToken',
        type: 'string',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        unique: true,
        hidden: true,
      },
      {
        key: '4yb6kfpnhbp',
        name: 'systemSettings',
        type: 'json',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        defaultValue: {},
      },
      {
        key: 'eqwqnnm91ku',
        name: 'sort',
        type: 'sort',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        hidden: true,
      },
      {
        key: 'ctnmz1kp2uf',
        name: 'createdById',
        type: 'context',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        dataType: 'bigInt',
        dataIndex: 'state.currentUser.id',
        createOnly: true,
        visible: true,
        index: true,
      },
      {
        key: 'qi9czxhhcnb',
        name: 'createdBy',
        type: 'belongsTo',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        targetKey: 'id',
      },
      {
        key: 'ra0knue3i0v',
        name: 'updatedById',
        type: 'context',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        dataType: 'bigInt',
        dataIndex: 'state.currentUser.id',
        visible: true,
        index: true,
      },
      {
        key: 'rguzk9d71rz',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        targetKey: 'id',
      },
      {
        key: 't09bauwm0wb',
        name: 'roles',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        target: 'roles',
        foreignKey: 'userId',
        otherKey: 'roleName',
        onDelete: 'CASCADE',
        sourceKey: 'id',
        targetKey: 'name',
        through: 'rolesUsers',
        uiSchema: {
          type: 'array',
          title: '{{t("Roles")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'title', value: 'name' } },
        },
      },
      {
        key: 'fn0x2o2oc3r',
        name: 'jobs',
        type: 'belongsToMany',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        through: 'users_jobs',
        onDelete: 'CASCADE',
        foreignKey: 'userId',
        sourceKey: 'id',
        otherKey: 'jobId',
        targetKey: 'id',
      },
      {
        key: 'vrn094flo0p',
        name: 'usersJobs',
        type: 'hasMany',
        interface: null,
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        target: 'users_jobs',
        foreignKey: 'userId',
        sourceKey: 'id',
        targetKey: 'id',
      },
      {
        key: 'k7eoz285mfs',
        name: 'f_tauewz8bkyo',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'users',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_2hnfyftgyr9',
        otherKey: 'f_730dw2m1gm4',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '多对多',
        },
        target: 'tt_mnt_org',
        through: 't_q8urpz9hnuc',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [],
    namespace: 'users.users',
    duplicator: { dumpable: 'optional', with: 'rolesUsers' },
    sortable: 'sort',
    model: 'UserModel',
    createdBy: true,
    updatedBy: true,
    logging: true,
    underscored: true,
    from: 'db2cm',
  },
  {
    key: '7z19qc97zuq',
    name: 'roles',
    title: '{{t("Roles")}}',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '2wwronaj832',
        name: 'name',
        type: 'uid',
        interface: 'input',
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        prefix: 'r_',
        primaryKey: true,
        uiSchema: { type: 'string', title: '{{t("Role UID")}}', 'x-component': 'Input' },
      },
      {
        key: 'rd982in9yke',
        name: 'title',
        type: 'string',
        interface: 'input',
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        unique: true,
        uiSchema: { type: 'string', title: '{{t("Role name")}}', 'x-component': 'Input' },
      },
      {
        key: 'kdmc3thh22q',
        name: 'description',
        type: 'string',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: '4c11axriwd1',
        name: 'strategy',
        type: 'json',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: '3nc6tbqg4pp',
        name: 'default',
        type: 'boolean',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        defaultValue: false,
      },
      {
        key: 'rmsakq74r77',
        name: 'hidden',
        type: 'boolean',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        defaultValue: false,
      },
      {
        key: 'n9s3pirpjbu',
        name: 'allowConfigure',
        type: 'boolean',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: 'cnos5nx5o50',
        name: 'allowNewMenu',
        type: 'boolean',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: 'pa6txp0or62',
        name: 'menuUiSchemas',
        type: 'belongsToMany',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        target: 'uiSchemas',
        targetKey: 'x-uid',
        onDelete: 'CASCADE',
        foreignKey: 'roleName',
        sourceKey: 'name',
        otherKey: 'uiSchemaXUid',
        through: 'rolesUischemas',
      },
      {
        key: 'jj0vzxy3df3',
        name: 'resources',
        type: 'hasMany',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        target: 'rolesResources',
        sourceKey: 'name',
        targetKey: 'name',
        foreignKey: 'roleName',
      },
      {
        key: 'dtnr5lq7uzd',
        name: 'snippets',
        type: 'set',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        defaultValue: ['!ui.*', '!pm', '!pm.*'],
      },
      {
        key: 'd372ngzs1t5',
        name: 'sort',
        type: 'sort',
        interface: null,
        collectionName: 'roles',
        parentKey: null,
        reverseKey: null,
        hidden: true,
      },
    ],
    category: [],
    namespace: 'acl.acl',
    duplicator: { dumpable: 'required', with: 'uiSchemas' },
    autoGenId: false,
    model: 'RoleModel',
    filterTargetKey: 'name',
    sortable: true,
    underscored: true,
    from: 'db2cm',
  },
  {
    key: '86lpobjxmnt',
    name: 'tt_mnt_org',
    title: '人工>组织[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'ohxa8xp9mnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'x39u0hhrmnt',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qjit9pcvmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'vijs3wcnmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zsebjtwimnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fa4c74phmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'mv6h7f8lmnt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 57455 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: '44u5zoyymnt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'tdq82bb0mnt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: '10xi6i24mnt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'n3ykqhe4mnt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '5ddcgbpqmnt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'z59sf4ilmnt',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'ecvb3a8xmnt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: 'ierg1fbvmnt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: '46kjnywamnt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '8j2vkys9mnt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: '6f480de5mnt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'fcx8cw1rmnt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'z71al7aamnt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'x8v9qf95mnt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'pgmzldy7mnt',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_mnt_org_area',
        foreignKey: 'f_8r6ikw6xnz0',
        otherKey: 'f_hbxb8vsecko',
        sourceKey: 'id',
      },
      {
        key: 'ase7kobwmnt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_mnt_org_photo',
        foreignKey: 'f_hmb1pbp4vgf',
        otherKey: 'f_zwsrqz83mp8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c50l1zgumnt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'msj1qa4dmnt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'q755hkxmmnt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: '0rd147memnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'gbclpdalmnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'lc9t9qw7mnt',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: '6jboxc1xb9w',
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_mnt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'maki8q43mnt',
        name: 'dept',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)',
        },
        target: 'tt_mnt_dept',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '0w5j5222mnt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_mnt_org_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '9kn4ujermnt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '07mz84okmnt',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_mnt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '01me4f8dmnt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'mkr7ceudmnt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'bekuc6bvmnt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'i3vcrhvumnt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: 'vqcsj7htmnt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'hpaq1qcrmnt',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_mnt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:14.134Z',
          updatedAt: '2023-04-07T07:20:14.134Z',
          collectionName: 'tt_mnt_org',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'jkvem4l2mnt',
    name: 'tt_mnt_org_tree',
    title: '人工>组织[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'kc6qsw8wmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yx47674fmnt',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '79u57anwmnt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_mnt_org_tree',
      },
      {
        key: '83r2hhkbmnt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'taoh3i6lmnt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '296cj7lsmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gj21nfz5mnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'z292a2aumnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5kuz9obqmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'azr2xsv2mnt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 63144 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
      },
      {
        key: '74al0ht7mnt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'n56ccueimnt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: 'abgsu9vsmnt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'nwpk0kqbmnt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ytnsb45bmnt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'x4nd5g8smnt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'pv4aqfcymnt',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'mwini82xmnt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: '5fglvshfmnt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: 'zdigd67umnt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '42x9v3wvmnt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: 'xbjymcjxmnt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'v0ap20mgmnt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'vwmg4ex9mnt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'upkxrqfrmnt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'd9y72qk8mnt',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_mnt_org_tree_area',
        foreignKey: 'f_y6ukux7kw1q',
        otherKey: 'f_ai3a25o9qc5',
        sourceKey: 'id',
      },
      {
        key: 'qyrlvi32mnt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_mnt_org_tree_photo',
        foreignKey: 'f_xlak0scjck5',
        otherKey: 'f_e5xhh2cuol1',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'n9wnfqdrmnt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'wkfyg6lvmnt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'slzowx7dmnt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: 'qiqf41ygmnt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '5qmafhaxmnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'r0qqlw89mnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'led3sjaemnt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'ipdvxkxjmnt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'ldr83y30mnt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'ggdzs1wxmnt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: '6327d159mnt',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_mnt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'wbdndzvqmnt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'ao3kbbt3mnt',
        name: 'dept_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)[树表]',
        },
        target: 'tt_mnt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'sd0zsbzymnt',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c5m12hy5mnt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_mnt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        target: 'tt_bd_range',
        through: 'tt_mnt_org_tree_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T14:06:15.660Z',
          updatedAt: '2023-04-25T14:06:15.660Z',
          collectionName: 'tt_mnt_org_tree',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'c9hyqimlmnt',
    name: 'tt_mnt_dept',
    title: '人工>部门[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '28tj63grmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '67necqtamnt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nqeetal0mnt',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'dbb290eomnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9c2ga9cmmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '65yzgsp7mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'w0tqtrnxmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zbos4viumnt',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'qpuhqqmdmnt',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'a7sva5d0mnt',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_mnt_org',
        targetKey: 'id',
      },
      {
        key: 'ab74sl8fmnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'fnsb3qqhmnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: '3hur9occmnt',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_mnt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'flwjk24umnt',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_mnt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:25.220Z',
          updatedAt: '2023-04-07T07:20:25.220Z',
          collectionName: 'tt_mnt_dept',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dmm5t1iomnt',
    name: 'tt_mnt_dept_tree',
    title: '人工>部门[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '1gdw4yp8mnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '2u3nb80rmnt',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gbcioiedmnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'abaa5i71mnt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_mnt_dept_tree',
      },
      {
        key: 'k4bwf4fwmnt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'uram4ujwmnt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'jdtnebxamnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'al86l9utmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'lu5n2igkmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rxi8ruyhmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '5o0c6zhcmnt',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'fqrkfpzzmnt',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'hx8w6300mnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'iux15mx1mnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'gcqvgh1pmnt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'sh4vp1w3mnt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
      {
        key: '0ff3qb08mnt',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-27T08:22:25.503Z',
          updatedAt: '2023-04-27T08:22:25.503Z',
          collectionName: 'tt_mnt_dept_tree',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'jff9r7ebmnt',
    name: 'tt_mnt_orglicense',
    title: '人工>组织营业执照([普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9qhn1fuumnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'fgiqbd4emnt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '所属组织id(外键)', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '00r3t2p7mnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1fthdco0mnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3a9n2pwtmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rua496y1mnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6jboxc1xmnt',
        name: 'org',
        type: 'belongsTo',
        interface: 'obo',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: 'lc9t9qw7w7m',
        uiSchema: {
          title: '所属组织(one belongsto one)',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_org',
        onDelete: 'SET NULL',
        targetKey: 'id',
        foreignKey: 'orgid',
      },
      {
        key: '82etkpqdmnt',
        name: 'unifiledcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '统一社会信用代码(单行文本)' },
      },
      {
        key: '3pcmumdfmnt',
        name: 'legalpersonname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人姓名(单行文本)' },
      },
      {
        key: 'iw6icymfmnt',
        name: 'legalpersonidnumber',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人身份证件号(单行文本)' },
      },
      {
        key: 'lr6c7yhjmnt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orglicenseid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_mnt_orglicense_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '662guqhymnt',
        name: 'rangecode',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围编码(多行文本)' },
      },
      {
        key: 'k6bhpu8vmnt',
        name: 'rangedesc',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围描述(多行文本)' },
      },
      {
        key: 'iznfr95fmnt',
        name: 'expiredate_start',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期起(日期)',
        },
      },
      {
        key: '1q80cfg1mnt',
        name: 'expiredate_end',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期止(日期)',
        },
      },
      {
        key: 'wm9jsj6tmnt',
        name: 'issuedate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '发证日期(日期)',
        },
      },
      {
        key: '6m7kai14mnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'muf1twfgmnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:20.927Z',
          updatedAt: '2023-04-07T07:20:20.927Z',
          collectionName: 'tt_mnt_orglicense',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dax26iuxmnt',
    name: 'tt_mnt_staff',
    title: '人工>员工[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '0d2rycb2mnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 't0bt3g4cmnt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '5k5ccsyhmnt',
        name: 'deptid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3ji1ldjumnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'orh016pzmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xxm0g05jmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9wp4v5fwmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'iezxmwh1mnt',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 52026 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
        unique: false,
        inputable: false,
      },
      {
        key: 'khzh1v1cmnt',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8h58dz5bmnt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zolos0d9mnt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'h1i82qrymnt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '6mjqrhctmnt',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'i5e7xxo2mnt',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'xfm96km3mnt',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: 'xon8vnm1mnt',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'dnijk17tmnt',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: 'v9kgbw1nmnt',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: '1m7sadgxmnt',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'as9m82ynmnt',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'h4a3h0zkmnt',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '2vg9uhb4mnt',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_mnt_staff_regaddress',
        foreignKey: 'f_hhmtoqcqk8g',
        otherKey: 'f_t0sryffordg',
        sourceKey: 'id',
      },
      {
        key: '9rfwtrremnt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_mnt_staff_photo',
        foreignKey: 'f_yntlgbf87rd',
        otherKey: 'f_sikqv9m15cv',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '7x5uevlomnt',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: 'lybdq5awmnt',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'duc6939bmnt',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: 'kd1k3d1vmnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'h0kyhflpmnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'sigq297cmnt',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_mnt_org',
        targetKey: 'id',
      },
      {
        key: 'kgag86himnt',
        name: 'dept',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)',
        },
        target: 'tt_mnt_dept',
        targetKey: 'id',
      },
      {
        key: 'vja8qigtmnt',
        name: 'prof',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)',
        },
        through: 'tt_mnt_staff_prof',
        target: 'tt_bd_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'r5b5s85smnt',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'be635dbcmnt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点) ',
        },
      },
      {
        key: 'lmd0usk9mnt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线) ',
        },
      },
      {
        key: '07yrmxlomnt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: '4k9t55htmnt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: 'dn9fkra7mnt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: '92l2w1u9enf',
        name: 'f_d4eavbbawas',
        type: 'formula',
        interface: 'formula',
        collectionName: 'tt_mnt_staff',
        parentKey: null,
        reverseKey: null,
        dataType: 'string',
        uiSchema: {
          'x-component-props': { stringMode: true },
          type: 'number',
          'x-component': 'Formula.Result',
          'x-read-pretty': true,
          title: '公式',
        },
        engine: 'formula.js',
        expression: '\n \n YEAR({{createdAt}})-{{age}}',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:55.666Z',
          updatedAt: '2023-04-07T07:20:55.666Z',
          collectionName: 'tt_mnt_staff',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: '07n5p6udmnt',
    name: 'tt_mnt_staff_tree',
    title: '人工>员工[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'y76paceemnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o12889owmnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6lgwn42mmnt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '57e1zlytmnt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_mnt_staff_tree',
      },
      {
        key: 'c4pv07f8mnt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'fr94xx2pmnt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'q3rlwr75mnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fvfjkwsumnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zow7sqvemnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'ifmf1eiemnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'wd1i5pqgmnt',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 8081 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
      },
      {
        key: 'v6k6cr1tmnt',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8bsrw9j4mnt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zhqz0lwvmnt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'l1hh1wh7mnt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '9u0y3nvamnt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'ol1z5t5qmnt',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'kkgucwe0mnt',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'hka1kizwmnt',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: '96l8dmbrmnt',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'q89bdfmemnt',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: '4gi6ye8zmnt',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: 'my9kkqa4mnt',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'b8r0ccdnmnt',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'has6qmwhmnt',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '34', label: '通信专业技术人员职业资格' },
            { value: '36', label: '计算机技术与软件专业技术资格' },
            { value: '52', label: '会计专业技术资格' },
            { value: '56', label: '统计专业技术资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '1um9vv5vmnt',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_mnt_staff_tree_regaddress',
        foreignKey: 'f_ife9oxivp9d',
        otherKey: 'f_6qkh23zbzww',
        sourceKey: 'id',
      },
      {
        key: '70if34x0mnt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_mnt_staff_tree_photo',
        foreignKey: 'f_6m5lnpitpr8',
        otherKey: 'f_dcbgh1euvv8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '4kk7v93ymnt',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: '04s0u9kdmnt',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'yw6tg52vmnt',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: '3hleeqt3mnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'zh6dj1kgmnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'ebgwkmkkmnt',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'xkq2xsm5mnt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点)',
        },
      },
      {
        key: 'u0mnio95mnt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线)',
        },
      },
      {
        key: 'qee0kthfmnt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: 'lltpukvlmnt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: '9i5avlqomnt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'dpozkfpdmnt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)[树表]',
        },
        target: 'tt_mnt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'tj2z9xpymnt',
        name: 'prof_tree',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_mnt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)[树表]',
        },
        target: 'tt_bd_prof',
        through: 'tt_mnt_staff_tree_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-27T08:30:17.111Z',
          updatedAt: '2023-04-27T08:30:17.111Z',
          collectionName: 'tt_mnt_staff_tree',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'wxthhajvmnt',
    name: 'tt_mnt_customer_tree',
    title: '人工>客户[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7slke7lrmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ljn3r3j2mnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '70pjqv7vmnt',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wb3a5n00mnt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_mnt_customer_tree',
      },
      {
        key: 'sib2jw39mnt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '6iej9s4rmnt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_customer_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'rakkhuyqmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '0enk4fydmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '4hvi0emcmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3x3n73dzmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '02gf41rlmnt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'rvq1m32cmnt',
        name: 'custcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '客户' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20707 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '客户编码' },
      },
      {
        key: '8oeh8ic6mnt',
        name: 'custname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户名称' },
      },
      {
        key: 'q7duzlt0mnt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'nhr8omk5mnt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'gwzayy3rmnt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'tziwvbpsmnt',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-28T09:44:23.793Z',
          updatedAt: '2023-04-28T09:44:23.793Z',
          collectionName: 'tt_mnt_customer_tree',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '7392uqu9mnt',
    name: 'tt_mnt_supplier_tree',
    title: '人工>供应商[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'mks9f38smnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kzusp28bmnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'zg1uwvdwmnt',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jgaiuu1qmnt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_mnt_supplier_tree',
      },
      {
        key: '0rbkjvyxmnt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: '77hg0uxzmnt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_supplier_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'p13jc9l7mnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xct6unjgmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'vmhpgoa5mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'oagzn1jgmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gzkhprhxmnt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'fh5kfafsmnt',
        name: 'suppliercode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '供应商' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20528 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '供应商编码' },
      },
      {
        key: 'vfu829qkmnt',
        name: 'suppliername',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商名称' },
      },
      {
        key: '8iq0bwj8mnt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'tpjdf0qlmnt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: '12jih9kmmnt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ksx9ximzmnt',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-28T09:45:02.249Z',
          updatedAt: '2023-04-28T09:45:02.249Z',
          collectionName: 'tt_mnt_supplier_tree',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'k6j1dzcwmnt',
    name: 'tt_mnt_materialclass_tree',
    title: '人工>物料分类[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '5hyy7ulhmnt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_mnt_materialclass_tree',
      },
      {
        key: 'g1xc56vdmnt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: '872hxq6fmnt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_materialclass_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'v424kp87mnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'he58euuqmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '07hjbpnrmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8gs6msrqmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'so854ilsmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'p770it8ymnt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类编码' },
        unique: true,
      },
      {
        key: 'k5xztdmemnt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'nr876w40mnt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: '2o68nz63mnt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-19T09:20:22.556Z',
          updatedAt: '2023-04-19T09:20:22.556Z',
          collectionName: 'tt_mnt_materialclass_tree',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '71pkkfvomnt',
    name: 'tt_mnt_material',
    title: '人工>物料[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'c5r0cfgomnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0q971jh5mnt',
        name: 'classid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'classid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'p2me0o8tmnt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'waqpt4bgmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nc86chxbmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7tknuof2mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1l9ejn4pmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8drih6ghmnt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
        unique: true,
      },
      {
        key: '20zdhfalmnt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: '5wqpy9zfmnt',
        name: 'spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '规格' },
      },
      {
        key: 'ggiidy6lmnt',
        name: 'type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '型号' },
      },
      {
        key: 'cvt9ywoomnt',
        name: 'classname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'mu2qzacsmnt',
        name: 'class',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'classid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料分类',
        },
        target: 'tt_mnt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: 'ydv8fsi5mnt',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: 'oe79qxo1mnt',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '单位名称' },
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-20T01:52:56.923Z',
          updatedAt: '2023-04-20T01:52:56.923Z',
          collectionName: 'tt_mnt_material',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'tu68q4z3mnt',
    name: 'tt_mnt_warehouse',
    title: '人工>仓库[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'apvdr645mnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kclgp2ipmnt',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xtx7x7icmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4mn9swsymnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zc7tecz8mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gwebb7uqmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tw3v31jtmnt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '编码' },
        unique: true,
      },
      {
        key: 'tlwo8alnmnt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '名称' },
        unique: false,
      },
      {
        key: 'ow21q1mimnt',
        name: 'address',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '地址' },
      },
      {
        key: 'xcaygwbomnt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_warehouse',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-26T02:46:43.336Z',
          updatedAt: '2023-04-26T02:46:43.336Z',
          collectionName: 'tt_mnt_warehouse',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'n4lsa1g2mnt',
    name: 'tt_mnt_inventory',
    title: '人工>库存[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'abeyktkjmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'g5qkwfpymnt',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '14f2xdmhmnt',
        name: 'warehouseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'warehouseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95jd7wrimnt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qc3p5dt6mnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yiomb00gmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9brp2wbrmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'n35bf0afmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '298424xemnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'd6kytzf4mnt',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_mnt_material',
        targetKey: 'id',
      },
      {
        key: 'prh0xuiimnt',
        name: 'warehouse_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库编码' },
      },
      {
        key: '6mi0mibomnt',
        name: 'warehouse_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库名称' },
      },
      {
        key: '0jmm0k7hmnt',
        name: 'material_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'qf02v4u7mnt',
        name: 'material_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'qivjufzrmnt',
        name: 'material_spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '45xaw14imnt',
        name: 'material_type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: '9sblvxa0mnt',
        name: 'material_unit',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料单位名称' },
      },
      {
        key: 'ua0nwv6amnt',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '库存数量',
        },
      },
      {
        key: 'inwiwx60mnt',
        name: 'warehouse',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'warehouseid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '仓库(many to one)',
        },
        target: 'tt_mnt_warehouse',
        targetKey: 'id',
      },
      {
        key: 'sfl8nllbmnt',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '9q9kws0vmnt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '组织(many to one)[树表]',
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T06:25:00.153Z',
          updatedAt: '2023-04-25T06:25:00.153Z',
          collectionName: 'tt_mnt_inventory',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '44kz0lhymnt',
    name: 'tt_mnt_purchase',
    title: '人工>采购订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zu5d8z6kmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jl9co7lgmnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '1pjpolwsmnt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'vaq1zx9tmnt',
        name: 'supplierid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'supplierid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gyrywzcgmnt',
        name: 'purchasecontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: {
          type: 'number',
          title: 'purchasecontactid_tree',
          'x-component': 'InputNumber',
          'x-read-pretty': true,
        },
      },
      {
        key: 'oa2xy75emnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'q7rwin7qmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '46ozud8tmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'epfl5wdxmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tf2g38s3mnt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购组织(many to one)[树表]',
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
      {
        key: '9rlqnee9mnt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购部门(many to one)[树表]',
        },
        target: 'tt_mnt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7am8kldzmnt',
        name: 'supplier_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'supplierid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '供应商(many to one)[树表]',
        },
        target: 'tt_mnt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: 'ftodeoodmnt',
        name: 'order_no',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'PO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 25788 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(自动编码)' },
        unique: true,
      },
      {
        key: 'pv6aog71mnt',
        name: 'purchasecontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'purchasecontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购联系人(many to one)[树表]',
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'n59j0a22mnt',
        name: 'purchasecontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '采购联系人姓名' },
      },
      {
        key: 'ib304wsnmnt',
        name: 'purchasecontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '采购联系电话',
        },
      },
      {
        key: '5utcqj28mnt',
        name: 'suppliercontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商联系人姓名' },
      },
      {
        key: 'ji5xtqgomnt',
        name: 'suppliercontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '供应商联系人电话',
        },
      },
      {
        key: 'eo46f5j7mnt',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: '32zcduo2mnt',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: '0ptwgu88mnt',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
      {
        key: 'usb8rwvimnt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_mnt_purchase_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T12:15:52.314Z',
          updatedAt: '2023-04-25T12:15:52.314Z',
          collectionName: 'tt_mnt_purchase',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'kryvveqemnt',
    name: 'tt_mnt_purchase_detail',
    title: '人工>采购订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bx68gtu7mnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j72k53rkmnt',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95gbyr21mnt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rv5jirstmnt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'hero7kpwmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fmq1ydbfmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'kypoomknmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nny43njxmnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'c5miad3vmnt',
        name: 'order_no',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '订单号' },
      },
      {
        key: 'uqgrkynrmnt',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_mnt_material',
        targetKey: 'id',
      },
      {
        key: 'bl7rotummnt',
        name: 'materialcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'r4knrjc1mnt',
        name: 'materialname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'xh2x8ozpmnt',
        name: 'materialspec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '6udro2iwmnt',
        name: 'materialtype',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: 'ggluomz0mnt',
        name: 'materialunit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '7rqysq3hmnt',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '计量单位' },
      },
      {
        key: '5etvyohumnt',
        name: 'price',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '价格',
        },
      },
      {
        key: 'v4ipx3damnt',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '数量',
        },
      },
      {
        key: 'ipiuw9uymnt',
        name: 'amount',
        type: 'formula',
        interface: 'formula',
        collectionName: 'tt_mnt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        dataType: 'double',
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'Formula.Result',
          'x-read-pretty': true,
          title: '金额',
        },
        engine: 'math.js',
        expression: '{{price}}*{{quantity}}',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T12:44:24.873Z',
          updatedAt: '2023-04-25T12:44:24.873Z',
          collectionName: 'tt_mnt_purchase_detail',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '5xacggexmnt',
    name: 'tt_mnt_production',
    title: '人工>生产订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zf3pkbadmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_production',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'na8opa82mnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_production',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'kpu29b74mnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3jcf7oyxmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_production',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fxrdb8s4mnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'rj55h3axmnt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_production',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_mnt_production_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:27.913Z',
          updatedAt: '2023-04-25T14:08:27.913Z',
          collectionName: 'tt_mnt_production',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'h093tdwmmnt',
    name: 'tt_mnt_production_detail',
    title: '人工>生产订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'xmrs0mlfmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_production_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7qdn6q3amnt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_production_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'spim8s5fmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'bgct5ehsmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'j5l9nb1hmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4ybl1kwymnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:55.636Z',
          updatedAt: '2023-04-25T14:08:55.636Z',
          collectionName: 'tt_mnt_production_detail',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'nt80ck13mnt',
    name: 'tt_mnt_sales',
    title: '人工>销售订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zt2k3h7hmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '93fwne9pmnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xs1l2rwamnt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'iq9oe0ggmnt',
        name: 'salescontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'salescontactid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gfrrwt8tmnt',
        name: 'customerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'customerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nadruvhumnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'yizb72d1mnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'ps02ffrsmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '23hdfiv1mnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gctv1r6jmnt',
        name: 'order_bo',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'CO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 7214 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(字段编号)' },
      },
      {
        key: '2llg7id8mnt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售组织(many to one)[树表]',
        },
        target: 'tt_mnt_org_tree',
        targetKey: 'id',
      },
      {
        key: '7c730b5rmnt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售部门(many to one)[树表]',
        },
        target: 'tt_mnt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7wtlcoz9mnt',
        name: 'salescontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'salescontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售联系人(many to one)[树表]',
        },
        target: 'tt_mnt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'q3rs6u23mnt',
        name: 'customer_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'customerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '客户(many to one)[树表]',
        },
        target: 'tt_mnt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '0pemv8jmmnt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_mnt_sales_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'svwa3wgbmnt',
        name: 'salescontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '销售联系人姓名' },
      },
      {
        key: 'nku29fowmnt',
        name: 'salescontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '销售联系人电话',
        },
      },
      {
        key: 'xr4pcarhmnt',
        name: 'customer_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户联系人姓名' },
      },
      {
        key: 'mmhhc0ptmnt',
        name: 'customer_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '客户联系人电话',
        },
      },
      {
        key: 'xfgac7blmnt',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: 'xx7i85nbmnt',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: 'qj9ms33ymnt',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T12:17:57.745Z',
          updatedAt: '2023-04-25T12:17:57.745Z',
          collectionName: 'tt_mnt_sales',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'e6pnku1umnt',
    name: 'tt_mnt_sales_detail',
    title: '人工>销售订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '32d6q8ggmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_sales_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'n5ibp5iemnt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_sales_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ztpg5wlfmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'czck2j0smnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tpvgjomomnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5sn2s2xomnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-25T12:45:35.367Z',
          updatedAt: '2023-04-25T12:45:35.367Z',
          collectionName: 'tt_mnt_sales_detail',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '2bvnp2sbmnt',
    name: 'tt_mnt_defaultvalue',
    title: '人工>默认值[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7mzjbf1omnt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_mnt_defaultvalue',
      },
      {
        key: 'z2hgnn8imnt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_defaultvalue',
        targetKey: 'id',
      },
      {
        key: '5r83de6vmnt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_mnt_defaultvalue',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'z8je0jajmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'uld866n1mnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gjw3j1pbmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'olecaco2mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hyfbyx30mnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'utn8yk57mnt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区划编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 56712 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: 'sd1js4eomnt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
        defaultValue: '默认值：公司名称',
      },
      {
        key: 'dpg1reljmnt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
        defaultValue: '默认值：公司地址(多行文本)',
      },
      {
        key: 'db3qm50mmnt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
        defaultValue: '默认值：15912345678',
      },
      {
        key: 'ebaqb3bwmnt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
        defaultValue: 'jihongbo@nocobase.com',
      },
      {
        key: '4a7n9i83mnt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'stmuctyrmnt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
        defaultValue: 899123,
      },
      {
        key: 'mv7mq8flmnt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
        defaultValue: 1234.56789,
      },
      {
        key: 'qlnzy3xkmnt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
        defaultValue: 123.456789,
      },
      {
        key: 'byow909jmnt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
        defaultValue: 0.12345,
      },
      {
        key: '5n8oh02mmnt',
        name: 'password',
        type: 'password',
        interface: 'password',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        hidden: true,
        uiSchema: { type: 'string', 'x-component': 'Password', title: '登录密码(密码)' },
        defaultValue: 'admin123',
      },
      {
        key: 'chcwtw6pmnt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
        defaultValue: true,
      },
      {
        key: 'l24xyofvmnt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
        defaultValue: '1',
      },
      {
        key: 'i5ghwln2mnt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: ['F3134', 'I3006', 'I3008'],
      },
      {
        key: '1ya46ghamnt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
        defaultValue: '2',
      },
      {
        key: 'otn7lnx7mnt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: ['L2095', 'M2070', 'O3010'],
      },
      {
        key: 'd9yuz42tmnt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
        defaultValue:
          '人工智能应用软件开发，软件外包服务，网络与信息安全软件开发，信息技术咨询服务，数据处理服务，计算机系统服务，企业管理咨询',
      },
      {
        key: 'pmn5kco5mnt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
        defaultValue:
          '<p>网络与信息安全软件开发，数字文化创意软件开发，业务培训（不含教育培训、职业技能培训等需取得许可的培训）</p>',
      },
      {
        key: '6slk4p6bmnt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
        defaultValue: '2023-03-30T07:19:11.963Z',
      },
      {
        key: '707gt6dwmnt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_mnt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        defaultValue: {
          F3134: '软件销售',
          I3006: '软件开发',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3010: '软件外包服务',
          I3011: '网络与信息安全软件开发',
          I3014: '数字文化创意软件开发',
          I3027: '信息技术咨询服务',
          L2095: '企业管理咨询',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
        },
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-28T03:31:22.055Z',
          updatedAt: '2023-04-28T03:31:22.055Z',
          collectionName: 'tt_mnt_defaultvalue',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'nj5azm2gmnt',
    name: 'tt_mnt_nofields',
    title: '人工>无字段[普通表]',
    inherit: false,
    hidden: false,
    fields: [],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-18T13:42:56.966Z',
          updatedAt: '2023-04-18T13:42:56.966Z',
          collectionName: 'tt_mnt_nofields',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: false,
    createdBy: false,
    updatedBy: false,
    createdAt: false,
    updatedAt: false,
    sortable: false,
    template: 'general',
    view: false,
  },
  {
    key: '4tg08zk3mnt',
    name: 'tt_mnt_org_range',
    title: '人工>企业经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '2fbsga5vmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_org_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'mewmuwi8mnt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o3l0cbk8mnt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rnrzdmc9mnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '34wimt2smnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xnj4hlo2mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'za2aan91mnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:22.310Z',
          updatedAt: '2023-04-07T07:22:22.310Z',
          collectionName: 'tt_mnt_org_range',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'syz4h7tcmnt',
    name: 'tt_mnt_org_tree_range',
    title: '人工>企业[树表]经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '30gdvg32mnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7trh1ghgmnt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0sjgp48mmnt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j6e2sbqsmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'p46c0pkcmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6aope1xgmnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gahitzlymnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-27T09:04:24.855Z',
          updatedAt: '2023-04-27T09:04:24.855Z',
          collectionName: 'tt_mnt_org_tree_range',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '0fz08i10mnt',
    name: 'tt_mnt_orglicense_range',
    title: '人工>企业营业执照经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'v2azsdlamnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'b236czclmnt',
        name: 'orglicenseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orglicenseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'h0apri91mnt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3jw7vt3wmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'j663zfhcmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'hent1yb2mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'sjlsvl0imnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:29.257Z',
          updatedAt: '2023-04-07T07:22:29.257Z',
          collectionName: 'tt_mnt_orglicense_range',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'nrlp2vp9mnt',
    name: 'tt_mnt_staff_prof',
    title: '人工>员工职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bljoiqfemnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_staff_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wss1x9aamnt',
        name: 'staffid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5ijh4pdmnt',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'f9m0mfa0mnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'h4xd3801mnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'l58re1v1mnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hpyexf1amnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:36.300Z',
          updatedAt: '2023-04-07T07:22:36.300Z',
          collectionName: 'tt_mnt_staff_prof',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'juansr4gmnt',
    name: 'tt_mnt_staff_tree_prof',
    title: '人工>员工[树表]职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9moeutkxmnt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_mnt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ub4kxj8nmnt',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5owne4zmnt',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_mnt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6otonjmxmnt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_mnt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'k48spgxwmnt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_mnt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'nj1wcx5umnt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_mnt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fnv5h6e8mnt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_mnt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-04-27T08:51:02.170Z',
          updatedAt: '2023-04-27T08:51:02.170Z',
          collectionName: 'tt_mnt_staff_tree_prof',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '86lpobjxp76',
    name: 'tt_cbt_org',
    title: '兼容>组织[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'ohxa8xp91de',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'x39u0hhrmw8',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qjit9pcvss5',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'vijs3wcnqf7',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zsebjtwikbs',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fa4c74ph5jx',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'mv6h7f8l4bk',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 57445 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: '44u5zoyylw0',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'tdq82bb0jwz',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: '10xi6i247cd',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'n3ykqhe48lp',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '5ddcgbpqvf8',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'z59sf4iljeg',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'ecvb3a8xzhz',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: 'ierg1fbv2gx',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: '46kjnywa84p',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '8j2vkys9y4h',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: '6f480de5n9r',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'fcx8cw1r1ut',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'z71al7aawii',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'x8v9qf95hkd',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'pgmzldy7o64',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_cbt_org_area',
        foreignKey: 'f_8r6ikw6xnz0',
        otherKey: 'f_hbxb8vsecko',
        sourceKey: 'id',
      },
      {
        key: 'ase7kobw3zm',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_cbt_org_photo',
        foreignKey: 'f_hmb1pbp4vgf',
        otherKey: 'f_zwsrqz83mp8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c50l1zgua7b',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'msj1qa4dgvm',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'q755hkxmcbp',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: '0rd147mems4',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'gbclpdalyyz',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'lc9t9qw7w7m',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: '6jboxc1xb9w',
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_cbt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'maki8q43lb2',
        name: 'dept',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)',
        },
        target: 'tt_cbt_dept',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '0w5j5222ovz',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_cbt_org_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '9kn4ujerub3',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '07mz84ok1ie',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_cbt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '01me4f8dvhr',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'mkr7ceud215',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'bekuc6bv7w9',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'i3vcrhvup6w',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: 'vqcsj7htqs4',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'hpaq1qcr1vn',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_cbt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:14.134Z',
          updatedAt: '2023-04-07T07:20:14.134Z',
          collectionName: 'tt_cbt_org',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'jkvem4l290s',
    name: 'tt_cbt_org_tree',
    title: '兼容>组织[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'kc6qsw8wjjd',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yx47674fi9w',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '79u57anwxwr',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_cbt_org_tree',
      },
      {
        key: '83r2hhkb6qc',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'taoh3i6lusp',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '296cj7ls69p',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gj21nfz5zss',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'z292a2aujd3',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5kuz9obq6xc',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'azr2xsv2e2w',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 63134 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
      },
      {
        key: '74al0ht7r19',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'n56ccueiioh',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: 'abgsu9vsply',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'nwpk0kqbtkk',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ytnsb45bons',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'x4nd5g8s47k',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'pv4aqfcyq72',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'mwini82xxel',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: '5fglvshfepx',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: 'zdigd67u7w6',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '42x9v3wvb6e',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: 'xbjymcjxoty',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'v0ap20mgx8p',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'vwmg4ex9ecs',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'upkxrqfr3np',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'd9y72qk8fkt',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_cbt_org_tree_area',
        foreignKey: 'f_y6ukux7kw1q',
        otherKey: 'f_ai3a25o9qc5',
        sourceKey: 'id',
      },
      {
        key: 'qyrlvi326ow',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_cbt_org_tree_photo',
        foreignKey: 'f_xlak0scjck5',
        otherKey: 'f_e5xhh2cuol1',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'n9wnfqdrnno',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'wkfyg6lva8q',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'slzowx7d2zz',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: 'qiqf41ygy0v',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '5qmafhaxqiy',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'r0qqlw89m9b',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'led3sjaex86',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'ipdvxkxj807',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'ldr83y30jbo',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'ggdzs1wxoue',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: '6327d159dd7',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_cbt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'wbdndzvqdur',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'ao3kbbt3k66',
        name: 'dept_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)[树表]',
        },
        target: 'tt_cbt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'sd0zsbzyebz',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c5m12hy5nwr',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_cbt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        target: 'tt_bd_range',
        through: 'tt_cbt_org_tree_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T14:06:15.660Z',
          updatedAt: '2023-04-25T14:06:15.660Z',
          collectionName: 'tt_cbt_org_tree',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'c9hyqimlamg',
    name: 'tt_cbt_dept',
    title: '兼容>部门[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '28tj63grxh6',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '67necqta6uz',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nqeetal0aup',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'dbb290eowti',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9c2ga9cmivp',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '65yzgsp7wqa',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'w0tqtrnxyut',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zbos4viuxut',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'qpuhqqmdjel',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'a7sva5d0eva',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_cbt_org',
        targetKey: 'id',
      },
      {
        key: 'ab74sl8fnzc',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'fnsb3qqhsns',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: '3hur9occz1k',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_cbt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'flwjk24ue0c',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_cbt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:25.220Z',
          updatedAt: '2023-04-07T07:20:25.220Z',
          collectionName: 'tt_cbt_dept',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dmm5t1ioi8y',
    name: 'tt_cbt_dept_tree',
    title: '兼容>部门[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '1gdw4yp81kt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '2u3nb80r4m8',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gbcioiedcpt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'abaa5i71gg5',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_cbt_dept_tree',
      },
      {
        key: 'k4bwf4fwn7p',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'uram4ujwxc9',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'jdtnebxaa2b',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'al86l9utwt3',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'lu5n2igksbk',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rxi8ruyh1cv',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '5o0c6zhcpux',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'fqrkfpzzqo2',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'hx8w6300ucg',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'iux15mx1e1p',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'gcqvgh1p34a',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'sh4vp1w3xwg',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
      {
        key: '0ff3qb08ole',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-27T08:22:25.503Z',
          updatedAt: '2023-04-27T08:22:25.503Z',
          collectionName: 'tt_cbt_dept_tree',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'jff9r7ebgbk',
    name: 'tt_cbt_orglicense',
    title: '兼容>组织营业执照([普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9qhn1fuuze4',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'fgiqbd4ewkc',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '所属组织id(外键)', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '00r3t2p7rs2',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1fthdco0ryx',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3a9n2pwtffe',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rua496y1ac5',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6jboxc1xb9w',
        name: 'org',
        type: 'belongsTo',
        interface: 'obo',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: 'lc9t9qw7w7m',
        uiSchema: {
          title: '所属组织(one belongsto one)',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_org',
        onDelete: 'SET NULL',
        targetKey: 'id',
        foreignKey: 'orgid',
      },
      {
        key: '82etkpqdhm0',
        name: 'unifiledcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '统一社会信用代码(单行文本)' },
      },
      {
        key: '3pcmumdf3wq',
        name: 'legalpersonname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人姓名(单行文本)' },
      },
      {
        key: 'iw6icymf3hx',
        name: 'legalpersonidnumber',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人身份证件号(单行文本)' },
      },
      {
        key: 'lr6c7yhj7hh',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orglicenseid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_cbt_orglicense_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '662guqhyl4y',
        name: 'rangecode',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围编码(多行文本)' },
      },
      {
        key: 'k6bhpu8vcpd',
        name: 'rangedesc',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围描述(多行文本)' },
      },
      {
        key: 'iznfr95f7ph',
        name: 'expiredate_start',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期起(日期)',
        },
      },
      {
        key: '1q80cfg1zns',
        name: 'expiredate_end',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期止(日期)',
        },
      },
      {
        key: 'wm9jsj6th96',
        name: 'issuedate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '发证日期(日期)',
        },
      },
      {
        key: '6m7kai14jbh',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'muf1twfgi3w',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:20.927Z',
          updatedAt: '2023-04-07T07:20:20.927Z',
          collectionName: 'tt_cbt_orglicense',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dax26iux3n8',
    name: 'tt_cbt_staff',
    title: '兼容>员工[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '0d2rycb2rqh',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 't0bt3g4c5pw',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '5k5ccsyhamq',
        name: 'deptid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3ji1ldju5or',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'orh016pzvjw',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xxm0g05js2d',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9wp4v5fw2c1',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'iezxmwh1pmu',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 52016 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
        unique: false,
        inputable: false,
      },
      {
        key: 'khzh1v1crh5',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8h58dz5bc1q',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zolos0d94rz',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'h1i82qry5pg',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '6mjqrhctu1i',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'i5e7xxo2tih',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'xfm96km3ay8',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: 'xon8vnm10p2',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'dnijk17tw94',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: 'v9kgbw1n32i',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: '1m7sadgxczt',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'as9m82ynb6i',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'h4a3h0zktsi',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '2vg9uhb40cb',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_cbt_staff_regaddress',
        foreignKey: 'f_hhmtoqcqk8g',
        otherKey: 'f_t0sryffordg',
        sourceKey: 'id',
      },
      {
        key: '9rfwtrreg3y',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_cbt_staff_photo',
        foreignKey: 'f_yntlgbf87rd',
        otherKey: 'f_sikqv9m15cv',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '7x5uevlofd7',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: 'lybdq5awnxh',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'duc6939b0fx',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: 'kd1k3d1vwqu',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'h0kyhflpfpq',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'sigq297cfxr',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_cbt_org',
        targetKey: 'id',
      },
      {
        key: 'kgag86hi75g',
        name: 'dept',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)',
        },
        target: 'tt_cbt_dept',
        targetKey: 'id',
      },
      {
        key: 'vja8qigtdkx',
        name: 'prof',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)',
        },
        through: 'tt_cbt_staff_prof',
        target: 'tt_bd_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'r5b5s85sug3',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'be635dbca1r',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点) ',
        },
      },
      {
        key: 'lmd0usk9a55',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线) ',
        },
      },
      {
        key: '07yrmxlogkg',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: '4k9t55htk3q',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: 'dn9fkra7ey9',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_cbt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:55.666Z',
          updatedAt: '2023-04-07T07:20:55.666Z',
          collectionName: 'tt_cbt_staff',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: '07n5p6udfx8',
    name: 'tt_cbt_staff_tree',
    title: '兼容>员工[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'y76pacee2fu',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o12889owiy3',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6lgwn42myts',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '57e1zlytn4j',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_cbt_staff_tree',
      },
      {
        key: 'c4pv07f81dl',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'fr94xx2pl3v',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'q3rlwr75m6s',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fvfjkwsup37',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zow7sqves5q',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'ifmf1eie509',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'wd1i5pqg9om',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 8071 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
      },
      {
        key: 'v6k6cr1t0gu',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8bsrw9j461l',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zhqz0lwvhps',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'l1hh1wh7wer',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '9u0y3nvaqb8',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'ol1z5t5qjc7',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'kkgucwe04l0',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'hka1kizw86k',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: '96l8dmbre6z',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'q89bdfmef7z',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: '4gi6ye8zadf',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: 'my9kkqa4rmh',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'b8r0ccdnmh4',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'has6qmwhqhd',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '34', label: '通信专业技术人员职业资格' },
            { value: '36', label: '计算机技术与软件专业技术资格' },
            { value: '52', label: '会计专业技术资格' },
            { value: '56', label: '统计专业技术资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '1um9vv5v6d4',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_cbt_staff_tree_regaddress',
        foreignKey: 'f_ife9oxivp9d',
        otherKey: 'f_6qkh23zbzww',
        sourceKey: 'id',
      },
      {
        key: '70if34x0zgo',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_cbt_staff_tree_photo',
        foreignKey: 'f_6m5lnpitpr8',
        otherKey: 'f_dcbgh1euvv8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '4kk7v93yh03',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: '04s0u9kdxwq',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'yw6tg52vbbi',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: '3hleeqt31rz',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'zh6dj1kgi2w',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'ebgwkmkkswd',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'xkq2xsm5n34',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点)',
        },
      },
      {
        key: 'u0mnio95b3z',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线)',
        },
      },
      {
        key: 'qee0kthfg5o',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: 'lltpukvlecd',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: '9i5avlqolrf',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'dpozkfpd0k7',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)[树表]',
        },
        target: 'tt_cbt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'tj2z9xpyqbx',
        name: 'prof_tree',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_cbt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)[树表]',
        },
        target: 'tt_bd_prof',
        through: 'tt_cbt_staff_tree_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-27T08:30:17.111Z',
          updatedAt: '2023-04-27T08:30:17.111Z',
          collectionName: 'tt_cbt_staff_tree',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'wxthhajvwo5',
    name: 'tt_cbt_customer_tree',
    title: '兼容>客户[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7slke7lrnhm',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ljn3r3j29te',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '70pjqv7vh91',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wb3a5n00sdi',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_cbt_customer_tree',
      },
      {
        key: 'sib2jw39r8c',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '6iej9s4r2uw',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_customer_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'rakkhuyq4sp',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '0enk4fydfnz',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '4hvi0emcp2b',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3x3n73dzub3',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '02gf41rlzmf',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'rvq1m32cchs',
        name: 'custcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '客户' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20697 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '客户编码' },
      },
      {
        key: '8oeh8ic63pi',
        name: 'custname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户名称' },
      },
      {
        key: 'q7duzlt0wv9',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'nhr8omk5g6i',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'gwzayy3rmrr',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'tziwvbps8oh',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-28T09:44:23.793Z',
          updatedAt: '2023-04-28T09:44:23.793Z',
          collectionName: 'tt_cbt_customer_tree',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '7392uqu953g',
    name: 'tt_cbt_supplier_tree',
    title: '兼容>供应商[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'mks9f38safy',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kzusp28bt0k',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'zg1uwvdwk6i',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jgaiuu1qa5m',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_cbt_supplier_tree',
      },
      {
        key: '0rbkjvyx1o4',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: '77hg0uxzptd',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_supplier_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'p13jc9l75oh',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xct6unjgfds',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'vmhpgoa5lui',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'oagzn1jg13j',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gzkhprhxaei',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'fh5kfafscu5',
        name: 'suppliercode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '供应商' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20518 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '供应商编码' },
      },
      {
        key: 'vfu829qkcnn',
        name: 'suppliername',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商名称' },
      },
      {
        key: '8iq0bwj8ddp',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'tpjdf0qlpzx',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: '12jih9km9ht',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ksx9ximz95n',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-28T09:45:02.249Z',
          updatedAt: '2023-04-28T09:45:02.249Z',
          collectionName: 'tt_cbt_supplier_tree',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'k6j1dzcwim1',
    name: 'tt_cbt_materialclass_tree',
    title: '兼容>物料分类[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '5hyy7ulh8p3',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_cbt_materialclass_tree',
      },
      {
        key: 'g1xc56vdwz1',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: '872hxq6fyl3',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_materialclass_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'v424kp87es5',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'he58euuqqbt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '07hjbpnrbuh',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8gs6msrqdyc',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'so854ilsp9b',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'p770it8ysph',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类编码' },
        unique: true,
      },
      {
        key: 'k5xztdme0v5',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'nr876w40ol4',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: '2o68nz63ebp',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-19T09:20:22.556Z',
          updatedAt: '2023-04-19T09:20:22.556Z',
          collectionName: 'tt_cbt_materialclass_tree',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '71pkkfvojw3',
    name: 'tt_cbt_material',
    title: '兼容>物料[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'c5r0cfgodff',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0q971jh5813',
        name: 'classid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'classid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'p2me0o8t3me',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'waqpt4bge0k',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nc86chxbup6',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7tknuof2bsu',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1l9ejn4pv9b',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8drih6gholc',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
        unique: true,
      },
      {
        key: '20zdhfal1qm',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: '5wqpy9zf7bp',
        name: 'spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '规格' },
      },
      {
        key: 'ggiidy6ls5a',
        name: 'type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '型号' },
      },
      {
        key: 'cvt9ywoo592',
        name: 'classname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'mu2qzacsiab',
        name: 'class',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'classid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料分类',
        },
        target: 'tt_cbt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: 'ydv8fsi5zba',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: 'oe79qxo1h5w',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '单位名称' },
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-20T01:52:56.923Z',
          updatedAt: '2023-04-20T01:52:56.923Z',
          collectionName: 'tt_cbt_material',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'tu68q4z3hy8',
    name: 'tt_cbt_warehouse',
    title: '兼容>仓库[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'apvdr645t49',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kclgp2ip5z2',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xtx7x7icem4',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4mn9swsyd2c',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zc7tecz8m9e',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gwebb7uqqzk',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tw3v31jts9w',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '编码' },
        unique: true,
      },
      {
        key: 'tlwo8alndnp',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '名称' },
        unique: false,
      },
      {
        key: 'ow21q1miish',
        name: 'address',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '地址' },
      },
      {
        key: 'xcaygwbows9',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_warehouse',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-26T02:46:43.336Z',
          updatedAt: '2023-04-26T02:46:43.336Z',
          collectionName: 'tt_cbt_warehouse',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'n4lsa1g26sp',
    name: 'tt_cbt_inventory',
    title: '兼容>库存[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'abeyktkjbz3',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'g5qkwfpytfr',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '14f2xdmh0z6',
        name: 'warehouseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'warehouseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95jd7wri774',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qc3p5dt69wa',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yiomb00g2b0',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9brp2wbr6gn',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'n35bf0aff9v',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '298424xegog',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'd6kytzf420a',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_cbt_material',
        targetKey: 'id',
      },
      {
        key: 'prh0xuiidh7',
        name: 'warehouse_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库编码' },
      },
      {
        key: '6mi0mibo6gg',
        name: 'warehouse_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库名称' },
      },
      {
        key: '0jmm0k7hqnq',
        name: 'material_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'qf02v4u7va6',
        name: 'material_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'qivjufzrque',
        name: 'material_spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '45xaw14ifr3',
        name: 'material_type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: '9sblvxa08j6',
        name: 'material_unit',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料单位名称' },
      },
      {
        key: 'ua0nwv6aw1d',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '库存数量',
        },
      },
      {
        key: 'inwiwx60ocz',
        name: 'warehouse',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'warehouseid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '仓库(many to one)',
        },
        target: 'tt_cbt_warehouse',
        targetKey: 'id',
      },
      {
        key: 'sfl8nllbb1t',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '9q9kws0vays',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '组织(many to one)[树表]',
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T06:25:00.153Z',
          updatedAt: '2023-04-25T06:25:00.153Z',
          collectionName: 'tt_cbt_inventory',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '44kz0lhysj7',
    name: 'tt_cbt_purchase',
    title: '兼容>采购订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zu5d8z6kxxr',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jl9co7lgabi',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '1pjpolws8pg',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'vaq1zx9t0xt',
        name: 'supplierid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'supplierid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gyrywzcgrvf',
        name: 'purchasecontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: {
          type: 'number',
          title: 'purchasecontactid_tree',
          'x-component': 'InputNumber',
          'x-read-pretty': true,
        },
      },
      {
        key: 'oa2xy75exx3',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'q7rwin7qqlp',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '46ozud8tgkq',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'epfl5wdxzf1',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tf2g38s3vjn',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购组织(many to one)[树表]',
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
      {
        key: '9rlqnee92l0',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购部门(many to one)[树表]',
        },
        target: 'tt_cbt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7am8kldzpr4',
        name: 'supplier_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'supplierid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '供应商(many to one)[树表]',
        },
        target: 'tt_cbt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: 'ftodeoodigk',
        name: 'order_no',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'PO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 25778 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(自动编码)' },
        unique: true,
      },
      {
        key: 'pv6aog71h85',
        name: 'purchasecontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'purchasecontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购联系人(many to one)[树表]',
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'n59j0a22tg0',
        name: 'purchasecontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '采购联系人姓名' },
      },
      {
        key: 'ib304wsng1b',
        name: 'purchasecontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '采购联系电话',
        },
      },
      {
        key: '5utcqj28l95',
        name: 'suppliercontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商联系人姓名' },
      },
      {
        key: 'ji5xtqgornx',
        name: 'suppliercontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '供应商联系人电话',
        },
      },
      {
        key: 'eo46f5j7i95',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: '32zcduo25gx',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: '0ptwgu88rf6',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
      {
        key: 'usb8rwvic77',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_cbt_purchase_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T12:15:52.314Z',
          updatedAt: '2023-04-25T12:15:52.314Z',
          collectionName: 'tt_cbt_purchase',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'kryvveqeh50',
    name: 'tt_cbt_purchase_detail',
    title: '兼容>采购订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bx68gtu7cdp',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j72k53rkw4m',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95gbyr21t9v',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rv5jirstlsl',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'hero7kpwm28',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fmq1ydbfxc8',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'kypoomknwpn',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nny43njxapb',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'c5miad3v6kx',
        name: 'order_no',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '订单号' },
      },
      {
        key: 'uqgrkynr3v5',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_cbt_material',
        targetKey: 'id',
      },
      {
        key: 'bl7rotum5a9',
        name: 'materialcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'r4knrjc1orj',
        name: 'materialname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'xh2x8ozpavj',
        name: 'materialspec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '6udro2iw2zg',
        name: 'materialtype',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: 'ggluomz0jwo',
        name: 'materialunit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '7rqysq3h9il',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '计量单位' },
      },
      {
        key: '5etvyohuhix',
        name: 'price',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '价格',
        },
      },
      {
        key: 'v4ipx3dajt7',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '数量',
        },
      },
      {
        key: 'ipiuw9uy2pl',
        name: 'amount',
        type: 'formula',
        interface: 'formula',
        collectionName: 'tt_cbt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        dataType: 'double',
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'Formula.Result',
          'x-read-pretty': true,
          title: '金额',
        },
        engine: 'math.js',
        expression: '{{price}}*{{quantity}}',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T12:44:24.873Z',
          updatedAt: '2023-04-25T12:44:24.873Z',
          collectionName: 'tt_cbt_purchase_detail',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '5xacggexvq6',
    name: 'tt_cbt_production',
    title: '兼容>生产订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zf3pkbado1r',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_production',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'na8opa82boc',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_production',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'kpu29b74cdo',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3jcf7oyxjku',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_production',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fxrdb8s4w8e',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'rj55h3axt4i',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_production',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_cbt_production_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:27.913Z',
          updatedAt: '2023-04-25T14:08:27.913Z',
          collectionName: 'tt_cbt_production',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'h093tdwmm8t',
    name: 'tt_cbt_production_detail',
    title: '兼容>生产订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'xmrs0mlfjvx',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_production_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7qdn6q3a9ff',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_production_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'spim8s5f0c9',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'bgct5ehsovl',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'j5l9nb1hre9',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4ybl1kwypq9',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:55.636Z',
          updatedAt: '2023-04-25T14:08:55.636Z',
          collectionName: 'tt_cbt_production_detail',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'nt80ck13bc5',
    name: 'tt_cbt_sales',
    title: '兼容>销售订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zt2k3h7hib5',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '93fwne9pgfw',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xs1l2rwavf5',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'iq9oe0gg1gk',
        name: 'salescontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'salescontactid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gfrrwt8tu1p',
        name: 'customerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'customerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nadruvhualk',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'yizb72d1mnf',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'ps02ffrs8sx',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '23hdfiv1a1w',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gctv1r6jw89',
        name: 'order_bo',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'CO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 7204 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(字段编号)' },
      },
      {
        key: '2llg7id8puy',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售组织(many to one)[树表]',
        },
        target: 'tt_cbt_org_tree',
        targetKey: 'id',
      },
      {
        key: '7c730b5rylm',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售部门(many to one)[树表]',
        },
        target: 'tt_cbt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7wtlcoz9kdk',
        name: 'salescontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'salescontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售联系人(many to one)[树表]',
        },
        target: 'tt_cbt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'q3rs6u23j3i',
        name: 'customer_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'customerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '客户(many to one)[树表]',
        },
        target: 'tt_cbt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '0pemv8jmskz',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_cbt_sales_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'svwa3wgbb9r',
        name: 'salescontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '销售联系人姓名' },
      },
      {
        key: 'nku29fow8bi',
        name: 'salescontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '销售联系人电话',
        },
      },
      {
        key: 'xr4pcarh9nl',
        name: 'customer_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户联系人姓名' },
      },
      {
        key: 'mmhhc0pti7t',
        name: 'customer_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '客户联系人电话',
        },
      },
      {
        key: 'xfgac7bl29t',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: 'xx7i85nbmx7',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: 'qj9ms33yp41',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T12:17:57.745Z',
          updatedAt: '2023-04-25T12:17:57.745Z',
          collectionName: 'tt_cbt_sales',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'e6pnku1ueyx',
    name: 'tt_cbt_sales_detail',
    title: '兼容>销售订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '32d6q8ggzz3',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_sales_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'n5ibp5iexvo',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_sales_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ztpg5wlf1t0',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'czck2j0sk5l',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tpvgjomol47',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5sn2s2xod0d',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-25T12:45:35.367Z',
          updatedAt: '2023-04-25T12:45:35.367Z',
          collectionName: 'tt_cbt_sales_detail',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '2bvnp2sb7mo',
    name: 'tt_cbt_defaultvalue',
    title: '兼容>默认值[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7mzjbf1oypt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_cbt_defaultvalue',
      },
      {
        key: 'z2hgnn8i6kq',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_defaultvalue',
        targetKey: 'id',
      },
      {
        key: '5r83de6vems',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_cbt_defaultvalue',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'z8je0jajyos',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'uld866n1c3g',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gjw3j1pbwfo',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'olecaco2aqx',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hyfbyx30wic',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'utn8yk57hj2',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区划编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 56702 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: 'sd1js4eopkn',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
        defaultValue: '默认值：公司名称',
      },
      {
        key: 'dpg1reljy7o',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
        defaultValue: '默认值：公司地址(多行文本)',
      },
      {
        key: 'db3qm50mc5t',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
        defaultValue: '默认值：15912345678',
      },
      {
        key: 'ebaqb3bwo4o',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
        defaultValue: 'jihongbo@nocobase.com',
      },
      {
        key: '4a7n9i83uxc',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'stmuctyrv2p',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
        defaultValue: 899123,
      },
      {
        key: 'mv7mq8fl3np',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
        defaultValue: 1234.56789,
      },
      {
        key: 'qlnzy3xk12m',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
        defaultValue: 123.456789,
      },
      {
        key: 'byow909j2hp',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
        defaultValue: 0.12345,
      },
      {
        key: '5n8oh02m0z7',
        name: 'password',
        type: 'password',
        interface: 'password',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        hidden: true,
        uiSchema: { type: 'string', 'x-component': 'Password', title: '登录密码(密码)' },
        defaultValue: 'admin123',
      },
      {
        key: 'chcwtw6pjvj',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
        defaultValue: true,
      },
      {
        key: 'l24xyofvl0o',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
        defaultValue: '1',
      },
      {
        key: 'i5ghwln2mm5',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: ['F3134', 'I3006', 'I3008'],
      },
      {
        key: '1ya46gha72u',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
        defaultValue: '2',
      },
      {
        key: 'otn7lnx7dj1',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: ['L2095', 'M2070', 'O3010'],
      },
      {
        key: 'd9yuz42tgyf',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
        defaultValue:
          '人工智能应用软件开发，软件外包服务，网络与信息安全软件开发，信息技术咨询服务，数据处理服务，计算机系统服务，企业管理咨询',
      },
      {
        key: 'pmn5kco5rh1',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
        defaultValue:
          '<p>网络与信息安全软件开发，数字文化创意软件开发，业务培训（不含教育培训、职业技能培训等需取得许可的培训）</p>',
      },
      {
        key: '6slk4p6bgqf',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
        defaultValue: '2023-03-30T07:19:11.963Z',
      },
      {
        key: '707gt6dw9kr',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_cbt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        defaultValue: {
          F3134: '软件销售',
          I3006: '软件开发',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3010: '软件外包服务',
          I3011: '网络与信息安全软件开发',
          I3014: '数字文化创意软件开发',
          I3027: '信息技术咨询服务',
          L2095: '企业管理咨询',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
        },
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-28T03:31:22.055Z',
          updatedAt: '2023-04-28T03:31:22.055Z',
          collectionName: 'tt_cbt_defaultvalue',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'nj5azm2gn0g',
    name: 'tt_cbt_nofields',
    title: '兼容>无字段[普通表]',
    inherit: false,
    hidden: false,
    fields: [],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-18T13:42:56.966Z',
          updatedAt: '2023-04-18T13:42:56.966Z',
          collectionName: 'tt_cbt_nofields',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: false,
    createdBy: false,
    updatedBy: false,
    createdAt: false,
    updatedAt: false,
    sortable: false,
    template: 'general',
    view: false,
  },
  {
    key: '4tg08zk3ris',
    name: 'tt_cbt_org_range',
    title: '兼容>企业经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '2fbsga5v81o',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_org_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'mewmuwi8dp1',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o3l0cbk89ik',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rnrzdmc9jg1',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '34wimt2sa3q',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xnj4hlo2g43',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'za2aan9109w',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:22.310Z',
          updatedAt: '2023-04-07T07:22:22.310Z',
          collectionName: 'tt_cbt_org_range',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'syz4h7tczv0',
    name: 'tt_cbt_org_tree_range',
    title: '兼容>企业[树表]经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '30gdvg323tr',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7trh1ghgwzf',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0sjgp48mbxn',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j6e2sbqsvjk',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'p46c0pkc8dy',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6aope1xg0wk',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gahitzlykvf',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-27T09:04:24.855Z',
          updatedAt: '2023-04-27T09:04:24.855Z',
          collectionName: 'tt_cbt_org_tree_range',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '0fz08i10ufj',
    name: 'tt_cbt_orglicense_range',
    title: '兼容>企业营业执照经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'v2azsdlatcg',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'b236czclw10',
        name: 'orglicenseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orglicenseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'h0apri91ak8',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3jw7vt3wemj',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'j663zfhcgbh',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'hent1yb26a1',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'sjlsvl0ijrv',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:29.257Z',
          updatedAt: '2023-04-07T07:22:29.257Z',
          collectionName: 'tt_cbt_orglicense_range',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'nrlp2vp9kw2',
    name: 'tt_cbt_staff_prof',
    title: '兼容>员工职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bljoiqfecoo',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_staff_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wss1x9aaetz',
        name: 'staffid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5ijh4pds01',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'f9m0mfa0jbm',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'h4xd3801op7',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'l58re1v1s8p',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hpyexf1alud',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:36.300Z',
          updatedAt: '2023-04-07T07:22:36.300Z',
          collectionName: 'tt_cbt_staff_prof',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'juansr4g0er',
    name: 'tt_cbt_staff_tree_prof',
    title: '兼容>员工[树表]职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9moeutkxkn6',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_cbt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ub4kxj8n9dr',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5owne4zfup',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_cbt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6otonjmxgma',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_cbt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'k48spgxwb73',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_cbt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'nj1wcx5u4sz',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_cbt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fnv5h6e8mt1',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_cbt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 1,
        createdAt: '2023-04-07T07:19:40.416Z',
        updatedAt: '2023-05-02T05:07:15.509Z',
        name: '兼容测试cbt',
        color: 'lime',
        collectionCategory: {
          createdAt: '2023-04-27T08:51:02.170Z',
          updatedAt: '2023-04-27T08:51:02.170Z',
          collectionName: 'tt_cbt_staff_tree_prof',
          categoryId: 1,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '86lpobjxamt',
    name: 'tt_amt_org',
    title: '自动>组织[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'ohxa8xp9amt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'x39u0hhramt',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qjit9pcvamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'vijs3wcnamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zsebjtwiamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fa4c74phamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'mv6h7f8lamt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 57450 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: '44u5zoyyamt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'tdq82bb0amt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: '10xi6i24amt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'n3ykqhe4amt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '5ddcgbpqamt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'z59sf4ilamt',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'ecvb3a8xamt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: 'ierg1fbvamt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: '46kjnywaamt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '8j2vkys9amt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: '6f480de5amt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'fcx8cw1ramt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'z71al7aaamt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'x8v9qf95amt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'pgmzldy7amt',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_amt_org_area',
        foreignKey: 'f_8r6ikw6xnz0',
        otherKey: 'f_hbxb8vsecko',
        sourceKey: 'id',
      },
      {
        key: 'ase7kobwamt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_amt_org_photo',
        foreignKey: 'f_hmb1pbp4vgf',
        otherKey: 'f_zwsrqz83mp8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c50l1zguamt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'msj1qa4damt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'q755hkxmamt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: '0rd147meamt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'gbclpdalamt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'lc9t9qw7amt',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: '6jboxc1xb9w',
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_amt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'maki8q43amt',
        name: 'dept',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)',
        },
        target: 'tt_amt_dept',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '0w5j5222amt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_amt_org_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '9kn4ujeramt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '07mz84okamt',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_amt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '01me4f8damt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'mkr7ceudamt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'bekuc6bvamt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'i3vcrhvuamt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: 'vqcsj7htamt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'hpaq1qcramt',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_amt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:14.134Z',
          updatedAt: '2023-04-07T07:20:14.134Z',
          collectionName: 'tt_amt_org',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'jkvem4l2amt',
    name: 'tt_amt_org_tree',
    title: '自动>组织[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'kc6qsw8wamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yx47674famt',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '79u57anwamt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_amt_org_tree',
      },
      {
        key: '83r2hhkbamt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'taoh3i6lamt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '296cj7lsamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gj21nfz5amt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'z292a2auamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5kuz9obqamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'azr2xsv2amt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 63139 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
      },
      {
        key: '74al0ht7amt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'n56ccueiamt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: 'abgsu9vsamt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'nwpk0kqbamt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ytnsb45bamt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'x4nd5g8samt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'pv4aqfcyamt',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'mwini82xamt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: '5fglvshfamt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: 'zdigd67uamt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '42x9v3wvamt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: 'xbjymcjxamt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'v0ap20mgamt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'vwmg4ex9amt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'upkxrqframt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'd9y72qk8amt',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_amt_org_tree_area',
        foreignKey: 'f_y6ukux7kw1q',
        otherKey: 'f_ai3a25o9qc5',
        sourceKey: 'id',
      },
      {
        key: 'qyrlvi32amt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_amt_org_tree_photo',
        foreignKey: 'f_xlak0scjck5',
        otherKey: 'f_e5xhh2cuol1',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'n9wnfqdramt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'wkfyg6lvamt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'slzowx7damt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: 'qiqf41ygamt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '5qmafhaxamt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'r0qqlw89amt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'led3sjaeamt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'ipdvxkxjamt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'ldr83y30amt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'ggdzs1wxamt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: '6327d159amt',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_amt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'wbdndzvqamt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'ao3kbbt3amt',
        name: 'dept_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)[树表]',
        },
        target: 'tt_amt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'sd0zsbzyamt',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c5m12hy5amt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_amt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        target: 'tt_bd_range',
        through: 'tt_amt_org_tree_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T14:06:15.660Z',
          updatedAt: '2023-04-25T14:06:15.660Z',
          collectionName: 'tt_amt_org_tree',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'c9hyqimlamt',
    name: 'tt_amt_dept',
    title: '自动>部门[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '28tj63gramt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '67necqtaamt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nqeetal0amt',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'dbb290eoamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9c2ga9cmamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '65yzgsp7amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'w0tqtrnxamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zbos4viuamt',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'qpuhqqmdamt',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'a7sva5d0amt',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_amt_org',
        targetKey: 'id',
      },
      {
        key: 'ab74sl8famt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'fnsb3qqhamt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: '3hur9occamt',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_amt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'flwjk24uamt',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_amt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:25.220Z',
          updatedAt: '2023-04-07T07:20:25.220Z',
          collectionName: 'tt_amt_dept',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dmm5t1ioamt',
    name: 'tt_amt_dept_tree',
    title: '自动>部门[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '1gdw4yp8amt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '2u3nb80ramt',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gbcioiedamt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'abaa5i71amt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_amt_dept_tree',
      },
      {
        key: 'k4bwf4fwamt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'uram4ujwamt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'jdtnebxaamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'al86l9utamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'lu5n2igkamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rxi8ruyhamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '5o0c6zhcamt',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'fqrkfpzzamt',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'hx8w6300amt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'iux15mx1amt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'gcqvgh1pamt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'sh4vp1w3amt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
      {
        key: '0ff3qb08amt',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-27T08:22:25.503Z',
          updatedAt: '2023-04-27T08:22:25.503Z',
          collectionName: 'tt_amt_dept_tree',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'jff9r7ebamt',
    name: 'tt_amt_orglicense',
    title: '自动>组织营业执照([普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9qhn1fuuamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'fgiqbd4eamt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '所属组织id(外键)', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '00r3t2p7amt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1fthdco0amt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3a9n2pwtamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rua496y1amt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6jboxc1xamt',
        name: 'org',
        type: 'belongsTo',
        interface: 'obo',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: 'lc9t9qw7w7m',
        uiSchema: {
          title: '所属组织(one belongsto one)',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_org',
        onDelete: 'SET NULL',
        targetKey: 'id',
        foreignKey: 'orgid',
      },
      {
        key: '82etkpqdamt',
        name: 'unifiledcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '统一社会信用代码(单行文本)' },
      },
      {
        key: '3pcmumdfamt',
        name: 'legalpersonname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人姓名(单行文本)' },
      },
      {
        key: 'iw6icymfamt',
        name: 'legalpersonidnumber',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人身份证件号(单行文本)' },
      },
      {
        key: 'lr6c7yhjamt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orglicenseid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_amt_orglicense_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '662guqhyamt',
        name: 'rangecode',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围编码(多行文本)' },
      },
      {
        key: 'k6bhpu8vamt',
        name: 'rangedesc',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围描述(多行文本)' },
      },
      {
        key: 'iznfr95famt',
        name: 'expiredate_start',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期起(日期)',
        },
      },
      {
        key: '1q80cfg1amt',
        name: 'expiredate_end',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期止(日期)',
        },
      },
      {
        key: 'wm9jsj6tamt',
        name: 'issuedate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '发证日期(日期)',
        },
      },
      {
        key: '6m7kai14amt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'muf1twfgamt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:20.927Z',
          updatedAt: '2023-04-07T07:20:20.927Z',
          collectionName: 'tt_amt_orglicense',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dax26iuxamt',
    name: 'tt_amt_staff',
    title: '自动>员工[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '0d2rycb2amt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 't0bt3g4camt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '5k5ccsyhamt',
        name: 'deptid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3ji1ldjuamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'orh016pzamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xxm0g05jamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9wp4v5fwamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'iezxmwh1amt',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 52021 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
        unique: false,
        inputable: false,
      },
      {
        key: 'khzh1v1camt',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8h58dz5bamt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zolos0d9amt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'h1i82qryamt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '6mjqrhctamt',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'i5e7xxo2amt',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'xfm96km3amt',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: 'xon8vnm1amt',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'dnijk17tamt',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: 'v9kgbw1namt',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: '1m7sadgxamt',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'as9m82ynamt',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'h4a3h0zkamt',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '2vg9uhb4amt',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_amt_staff_regaddress',
        foreignKey: 'f_hhmtoqcqk8g',
        otherKey: 'f_t0sryffordg',
        sourceKey: 'id',
      },
      {
        key: '9rfwtrreamt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_amt_staff_photo',
        foreignKey: 'f_yntlgbf87rd',
        otherKey: 'f_sikqv9m15cv',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '7x5uevloamt',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: 'lybdq5awamt',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'duc6939bamt',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: 'kd1k3d1vamt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'h0kyhflpamt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'sigq297camt',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_amt_org',
        targetKey: 'id',
      },
      {
        key: 'kgag86hiamt',
        name: 'dept',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)',
        },
        target: 'tt_amt_dept',
        targetKey: 'id',
      },
      {
        key: 'vja8qigtamt',
        name: 'prof',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)',
        },
        through: 'tt_amt_staff_prof',
        target: 'tt_bd_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'r5b5s85samt',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'be635dbcamt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点) ',
        },
      },
      {
        key: 'lmd0usk9amt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线) ',
        },
      },
      {
        key: '07yrmxloamt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: '4k9t55htamt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: 'dn9fkra7amt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_amt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:55.666Z',
          updatedAt: '2023-04-07T07:20:55.666Z',
          collectionName: 'tt_amt_staff',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: '07n5p6udamt',
    name: 'tt_amt_staff_tree',
    title: '自动>员工[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'y76paceeamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o12889owamt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6lgwn42mamt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '57e1zlytamt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_amt_staff_tree',
      },
      {
        key: 'c4pv07f8amt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'fr94xx2pamt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'q3rlwr75amt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fvfjkwsuamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zow7sqveamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'ifmf1eieamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'wd1i5pqgamt',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 8076 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
      },
      {
        key: 'v6k6cr1tamt',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8bsrw9j4amt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zhqz0lwvamt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'l1hh1wh7amt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '9u0y3nvaamt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'ol1z5t5qamt',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'kkgucwe0amt',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'hka1kizwamt',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: '96l8dmbramt',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'q89bdfmeamt',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: '4gi6ye8zamt',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: 'my9kkqa4amt',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'b8r0ccdnamt',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'has6qmwhamt',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '34', label: '通信专业技术人员职业资格' },
            { value: '36', label: '计算机技术与软件专业技术资格' },
            { value: '52', label: '会计专业技术资格' },
            { value: '56', label: '统计专业技术资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '1um9vv5vamt',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_amt_staff_tree_regaddress',
        foreignKey: 'f_ife9oxivp9d',
        otherKey: 'f_6qkh23zbzww',
        sourceKey: 'id',
      },
      {
        key: '70if34x0amt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_amt_staff_tree_photo',
        foreignKey: 'f_6m5lnpitpr8',
        otherKey: 'f_dcbgh1euvv8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '4kk7v93yamt',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: '04s0u9kdamt',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'yw6tg52vamt',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: '3hleeqt3amt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'zh6dj1kgamt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'ebgwkmkkamt',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'xkq2xsm5amt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点)',
        },
      },
      {
        key: 'u0mnio95amt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线)',
        },
      },
      {
        key: 'qee0kthfamt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: 'lltpukvlamt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: '9i5avlqoamt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'dpozkfpdamt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)[树表]',
        },
        target: 'tt_amt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'tj2z9xpyamt',
        name: 'prof_tree',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_amt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)[树表]',
        },
        target: 'tt_bd_prof',
        through: 'tt_amt_staff_tree_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-27T08:30:17.111Z',
          updatedAt: '2023-04-27T08:30:17.111Z',
          collectionName: 'tt_amt_staff_tree',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'wxthhajvamt',
    name: 'tt_amt_customer_tree',
    title: '自动>客户[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7slke7lramt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ljn3r3j2amt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '70pjqv7vamt',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wb3a5n00amt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_amt_customer_tree',
      },
      {
        key: 'sib2jw39amt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '6iej9s4ramt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_customer_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'rakkhuyqamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '0enk4fydamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '4hvi0emcamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3x3n73dzamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '02gf41rlamt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'rvq1m32camt',
        name: 'custcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '客户' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20702 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '客户编码' },
      },
      {
        key: '8oeh8ic6amt',
        name: 'custname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户名称' },
      },
      {
        key: 'q7duzlt0amt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'nhr8omk5amt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'gwzayy3ramt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'tziwvbpsamt',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-28T09:44:23.793Z',
          updatedAt: '2023-04-28T09:44:23.793Z',
          collectionName: 'tt_amt_customer_tree',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '7392uqu9amt',
    name: 'tt_amt_supplier_tree',
    title: '自动>供应商[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'mks9f38samt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kzusp28bamt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'zg1uwvdwamt',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jgaiuu1qamt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_amt_supplier_tree',
      },
      {
        key: '0rbkjvyxamt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: '77hg0uxzamt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_supplier_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'p13jc9l7amt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xct6unjgamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'vmhpgoa5amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'oagzn1jgamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gzkhprhxamt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'fh5kfafsamt',
        name: 'suppliercode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '供应商' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20523 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '供应商编码' },
      },
      {
        key: 'vfu829qkamt',
        name: 'suppliername',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商名称' },
      },
      {
        key: '8iq0bwj8amt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'tpjdf0qlamt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: '12jih9kmamt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ksx9ximzamt',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-28T09:45:02.249Z',
          updatedAt: '2023-04-28T09:45:02.249Z',
          collectionName: 'tt_amt_supplier_tree',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'k6j1dzcwamt',
    name: 'tt_amt_materialclass_tree',
    title: '自动>物料分类[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '5hyy7ulhamt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_amt_materialclass_tree',
      },
      {
        key: 'g1xc56vdamt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: '872hxq6famt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_materialclass_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'v424kp87amt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'he58euuqamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '07hjbpnramt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8gs6msrqamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'so854ilsamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'p770it8yamt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类编码' },
        unique: true,
      },
      {
        key: 'k5xztdmeamt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'nr876w40amt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: '2o68nz63amt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-19T09:20:22.556Z',
          updatedAt: '2023-04-19T09:20:22.556Z',
          collectionName: 'tt_amt_materialclass_tree',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '71pkkfvoamt',
    name: 'tt_amt_material',
    title: '自动>物料[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'c5r0cfgoamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0q971jh5amt',
        name: 'classid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'classid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'p2me0o8tamt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'waqpt4bgamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nc86chxbamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7tknuof2amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1l9ejn4pamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8drih6ghamt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
        unique: true,
      },
      {
        key: '20zdhfalamt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: '5wqpy9zfamt',
        name: 'spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '规格' },
      },
      {
        key: 'ggiidy6lamt',
        name: 'type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '型号' },
      },
      {
        key: 'cvt9ywooamt',
        name: 'classname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'mu2qzacsamt',
        name: 'class',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'classid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料分类',
        },
        target: 'tt_amt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: 'ydv8fsi5amt',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: 'oe79qxo1amt',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '单位名称' },
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-20T01:52:56.923Z',
          updatedAt: '2023-04-20T01:52:56.923Z',
          collectionName: 'tt_amt_material',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'tu68q4z3amt',
    name: 'tt_amt_warehouse',
    title: '自动>仓库[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'apvdr645amt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kclgp2ipamt',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xtx7x7icamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4mn9swsyamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zc7tecz8amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gwebb7uqamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tw3v31jtamt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '编码' },
        unique: true,
      },
      {
        key: 'tlwo8alnamt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '名称' },
        unique: false,
      },
      {
        key: 'ow21q1miamt',
        name: 'address',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '地址' },
      },
      {
        key: 'xcaygwboamt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_warehouse',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-26T02:46:43.336Z',
          updatedAt: '2023-04-26T02:46:43.336Z',
          collectionName: 'tt_amt_warehouse',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'n4lsa1g2amt',
    name: 'tt_amt_inventory',
    title: '自动>库存[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'abeyktkjamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'g5qkwfpyamt',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95jd7wriamt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '14f2xdmhamt',
        name: 'warehouseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'warehouseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qc3p5dt6amt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yiomb00gamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9brp2wbramt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'n35bf0afamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '298424xeamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'd6kytzf4amt',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_amt_material',
        targetKey: 'id',
      },
      {
        key: 'prh0xuiiamt',
        name: 'warehouse_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库编码' },
      },
      {
        key: '6mi0miboamt',
        name: 'warehouse_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库名称' },
      },
      {
        key: '0jmm0k7hamt',
        name: 'material_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'qf02v4u7amt',
        name: 'material_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'qivjufzramt',
        name: 'material_spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '45xaw14iamt',
        name: 'material_type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: '9sblvxa0amt',
        name: 'material_unit',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料单位名称' },
      },
      {
        key: 'ua0nwv6aamt',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '库存数量',
        },
      },
      {
        key: 'inwiwx60amt',
        name: 'warehouse',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'warehouseid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '仓库(many to one)',
        },
        target: 'tt_amt_warehouse',
        targetKey: 'id',
      },
      {
        key: 'sfl8nllbamt',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '9q9kws0vamt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '组织(many to one)[树表]',
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T06:25:00.153Z',
          updatedAt: '2023-04-25T06:25:00.153Z',
          collectionName: 'tt_amt_inventory',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '44kz0lhyamt',
    name: 'tt_amt_purchase',
    title: '自动>采购订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zu5d8z6kamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jl9co7lgamt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '1pjpolwsamt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'vaq1zx9tamt',
        name: 'supplierid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'supplierid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gyrywzcgamt',
        name: 'purchasecontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: {
          type: 'number',
          title: 'purchasecontactid_tree',
          'x-component': 'InputNumber',
          'x-read-pretty': true,
        },
      },
      {
        key: 'oa2xy75eamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'q7rwin7qamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '46ozud8tamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'epfl5wdxamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tf2g38s3amt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购组织(many to one)[树表]',
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
      {
        key: '9rlqnee9amt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购部门(many to one)[树表]',
        },
        target: 'tt_amt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7am8kldzamt',
        name: 'supplier_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'supplierid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '供应商(many to one)[树表]',
        },
        target: 'tt_amt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: 'ftodeoodamt',
        name: 'order_no',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'PO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 25783 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(自动编码)' },
        unique: true,
      },
      {
        key: 'pv6aog71amt',
        name: 'purchasecontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'purchasecontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购联系人(many to one)[树表]',
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'n59j0a22amt',
        name: 'purchasecontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '采购联系人姓名' },
      },
      {
        key: 'ib304wsnamt',
        name: 'purchasecontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '采购联系电话',
        },
      },
      {
        key: '5utcqj28amt',
        name: 'suppliercontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商联系人姓名' },
      },
      {
        key: 'ji5xtqgoamt',
        name: 'suppliercontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '供应商联系人电话',
        },
      },
      {
        key: 'eo46f5j7amt',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: '32zcduo2amt',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: '0ptwgu88amt',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
      {
        key: 'usb8rwviamt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_amt_purchase_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T12:15:52.314Z',
          updatedAt: '2023-04-25T12:15:52.314Z',
          collectionName: 'tt_amt_purchase',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'kryvveqeamt',
    name: 'tt_amt_purchase_detail',
    title: '自动>采购订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bx68gtu7amt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j72k53rkamt',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95gbyr21amt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rv5jirstamt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'hero7kpwamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fmq1ydbfamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'kypoomknamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nny43njxamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'c5miad3vamt',
        name: 'order_no',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '订单号' },
      },
      {
        key: 'uqgrkynramt',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_amt_material',
        targetKey: 'id',
      },
      {
        key: 'bl7rotumamt',
        name: 'materialcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'r4knrjc1amt',
        name: 'materialname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'xh2x8ozpamt',
        name: 'materialspec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '6udro2iwamt',
        name: 'materialtype',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: 'ggluomz0amt',
        name: 'materialunit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '7rqysq3hamt',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '计量单位' },
      },
      {
        key: '5etvyohuamt',
        name: 'price',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '价格',
        },
      },
      {
        key: 'v4ipx3daamt',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '数量',
        },
      },
      {
        key: 'ipiuw9uyamt',
        name: 'amount',
        type: 'formula',
        interface: 'formula',
        collectionName: 'tt_amt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        dataType: 'double',
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'Formula.Result',
          'x-read-pretty': true,
          title: '金额',
        },
        engine: 'math.js',
        expression: '{{price}}*{{quantity}}',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T12:44:24.873Z',
          updatedAt: '2023-04-25T12:44:24.873Z',
          collectionName: 'tt_amt_purchase_detail',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '5xacggexamt',
    name: 'tt_amt_production',
    title: '自动>生产订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zf3pkbadamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_production',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'na8opa82amt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_production',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'kpu29b74amt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3jcf7oyxamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_production',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fxrdb8s4amt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'rj55h3axamt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_production',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_amt_production_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:27.913Z',
          updatedAt: '2023-04-25T14:08:27.913Z',
          collectionName: 'tt_amt_production',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'h093tdwmamt',
    name: 'tt_amt_production_detail',
    title: '自动>生产订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'xmrs0mlfamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_production_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7qdn6q3aamt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_production_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'spim8s5famt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'bgct5ehsamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'j5l9nb1hamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4ybl1kwyamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:55.636Z',
          updatedAt: '2023-04-25T14:08:55.636Z',
          collectionName: 'tt_amt_production_detail',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'nt80ck13amt',
    name: 'tt_amt_sales',
    title: '自动>销售订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zt2k3h7hamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gfrrwt8tamt',
        name: 'customerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'customerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '93fwne9pamt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xs1l2rwaamt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'iq9oe0ggamt',
        name: 'salescontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'salescontactid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nadruvhuamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'yizb72d1amt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'ps02ffrsamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '23hdfiv1amt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gctv1r6jamt',
        name: 'order_bo',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'CO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 7209 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(字段编号)' },
      },
      {
        key: '2llg7id8amt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售组织(many to one)[树表]',
        },
        target: 'tt_amt_org_tree',
        targetKey: 'id',
      },
      {
        key: '7c730b5ramt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售部门(many to one)[树表]',
        },
        target: 'tt_amt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7wtlcoz9amt',
        name: 'salescontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'salescontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售联系人(many to one)[树表]',
        },
        target: 'tt_amt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'q3rs6u23amt',
        name: 'customer_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'customerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '客户(many to one)[树表]',
        },
        target: 'tt_amt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '0pemv8jmamt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_amt_sales_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'svwa3wgbamt',
        name: 'salescontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '销售联系人姓名' },
      },
      {
        key: 'nku29fowamt',
        name: 'salescontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '销售联系人电话',
        },
      },
      {
        key: 'xr4pcarhamt',
        name: 'customer_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户联系人姓名' },
      },
      {
        key: 'mmhhc0ptamt',
        name: 'customer_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '客户联系人电话',
        },
      },
      {
        key: 'xfgac7blamt',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: 'xx7i85nbamt',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: 'qj9ms33yamt',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T12:17:57.745Z',
          updatedAt: '2023-04-25T12:17:57.745Z',
          collectionName: 'tt_amt_sales',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'e6pnku1uamt',
    name: 'tt_amt_sales_detail',
    title: '自动>销售订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '32d6q8ggamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_sales_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'n5ibp5ieamt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_sales_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ztpg5wlfamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'czck2j0samt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tpvgjomoamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5sn2s2xoamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-25T12:45:35.367Z',
          updatedAt: '2023-04-25T12:45:35.367Z',
          collectionName: 'tt_amt_sales_detail',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '2bvnp2sbamt',
    name: 'tt_amt_defaultvalue',
    title: '自动>默认值[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7mzjbf1oamt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_amt_defaultvalue',
      },
      {
        key: 'z2hgnn8iamt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_defaultvalue',
        targetKey: 'id',
      },
      {
        key: '5r83de6vamt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_amt_defaultvalue',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'z8je0jajamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'uld866n1amt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gjw3j1pbamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'olecaco2amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hyfbyx30amt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'utn8yk57amt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区划编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 56707 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: 'sd1js4eoamt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
        defaultValue: '默认值：公司名称',
      },
      {
        key: 'dpg1reljamt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
        defaultValue: '默认值：公司地址(多行文本)',
      },
      {
        key: 'db3qm50mamt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
        defaultValue: '默认值：15912345678',
      },
      {
        key: 'ebaqb3bwamt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
        defaultValue: 'jihongbo@nocobase.com',
      },
      {
        key: '4a7n9i83amt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'stmuctyramt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
        defaultValue: 899123,
      },
      {
        key: 'mv7mq8flamt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
        defaultValue: 1234.56789,
      },
      {
        key: 'qlnzy3xkamt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
        defaultValue: 123.456789,
      },
      {
        key: 'byow909jamt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
        defaultValue: 0.12345,
      },
      {
        key: '5n8oh02mamt',
        name: 'password',
        type: 'password',
        interface: 'password',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        hidden: true,
        uiSchema: { type: 'string', 'x-component': 'Password', title: '登录密码(密码)' },
        defaultValue: 'admin123',
      },
      {
        key: 'chcwtw6pamt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
        defaultValue: true,
      },
      {
        key: 'l24xyofvamt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
        defaultValue: '1',
      },
      {
        key: 'i5ghwln2amt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: ['F3134', 'I3006', 'I3008'],
      },
      {
        key: '1ya46ghaamt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
        defaultValue: '2',
      },
      {
        key: 'otn7lnx7amt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: ['L2095', 'M2070', 'O3010'],
      },
      {
        key: 'd9yuz42tamt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
        defaultValue:
          '人工智能应用软件开发，软件外包服务，网络与信息安全软件开发，信息技术咨询服务，数据处理服务，计算机系统服务，企业管理咨询',
      },
      {
        key: 'pmn5kco5amt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
        defaultValue:
          '<p>网络与信息安全软件开发，数字文化创意软件开发，业务培训（不含教育培训、职业技能培训等需取得许可的培训）</p>',
      },
      {
        key: '6slk4p6bamt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
        defaultValue: '2023-03-30T07:19:11.963Z',
      },
      {
        key: '707gt6dwamt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_amt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        defaultValue: {
          F3134: '软件销售',
          I3006: '软件开发',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3010: '软件外包服务',
          I3011: '网络与信息安全软件开发',
          I3014: '数字文化创意软件开发',
          I3027: '信息技术咨询服务',
          L2095: '企业管理咨询',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
        },
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-28T03:31:22.055Z',
          updatedAt: '2023-04-28T03:31:22.055Z',
          collectionName: 'tt_amt_defaultvalue',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'nj5azm2gamt',
    name: 'tt_amt_nofields',
    title: '自动>无字段[普通表]',
    inherit: false,
    hidden: false,
    fields: [],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-18T13:42:56.966Z',
          updatedAt: '2023-04-18T13:42:56.966Z',
          collectionName: 'tt_amt_nofields',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: false,
    createdBy: false,
    updatedBy: false,
    createdAt: false,
    updatedAt: false,
    sortable: false,
    template: 'general',
    view: false,
  },
  {
    key: '4tg08zk3amt',
    name: 'tt_amt_org_range',
    title: '自动>企业经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '2fbsga5vamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_org_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'mewmuwi8amt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o3l0cbk8amt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rnrzdmc9amt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '34wimt2samt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xnj4hlo2amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'za2aan91amt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:22.310Z',
          updatedAt: '2023-04-07T07:22:22.310Z',
          collectionName: 'tt_amt_org_range',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'syz4h7tcamt',
    name: 'tt_amt_org_tree_range',
    title: '自动>企业[树表]经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '30gdvg32amt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7trh1ghgamt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0sjgp48mamt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j6e2sbqsamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'p46c0pkcamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6aope1xgamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gahitzlyamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-27T09:04:24.855Z',
          updatedAt: '2023-04-27T09:04:24.855Z',
          collectionName: 'tt_amt_org_tree_range',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '0fz08i10amt',
    name: 'tt_amt_orglicense_range',
    title: '自动>企业营业执照经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'v2azsdlaamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'b236czclamt',
        name: 'orglicenseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orglicenseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'h0apri91amt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3jw7vt3wamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'j663zfhcamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'hent1yb2amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'sjlsvl0iamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:29.257Z',
          updatedAt: '2023-04-07T07:22:29.257Z',
          collectionName: 'tt_amt_orglicense_range',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'nrlp2vp9amt',
    name: 'tt_amt_staff_prof',
    title: '自动>员工职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bljoiqfeamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_staff_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wss1x9aaamt',
        name: 'staffid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5ijh4pdamt',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'f9m0mfa0amt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'h4xd3801amt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'l58re1v1amt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hpyexf1aamt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:36.300Z',
          updatedAt: '2023-04-07T07:22:36.300Z',
          collectionName: 'tt_amt_staff_prof',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'juansr4gamt',
    name: 'tt_amt_staff_tree_prof',
    title: '自动>员工[树表]职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9moeutkxamt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_amt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ub4kxj8namt',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5owne4zamt',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_amt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6otonjmxamt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_amt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'k48spgxwamt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_amt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'nj1wcx5uamt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_amt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fnv5h6e8amt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_amt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 3,
        createdAt: '2023-04-07T07:21:09.976Z',
        updatedAt: '2023-05-02T05:07:54.352Z',
        name: '自动测试amt',
        color: 'cyan',
        collectionCategory: {
          createdAt: '2023-04-27T08:51:02.170Z',
          updatedAt: '2023-04-27T08:51:02.170Z',
          collectionName: 'tt_amt_staff_tree_prof',
          categoryId: 3,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '86lpobjxpmt',
    name: 'tt_pmt_org',
    title: '性能>组织[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'ohxa8xp9pmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'x39u0hhrpmt',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qjit9pcvpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'vijs3wcnpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zsebjtwipmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fa4c74phpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'mv6h7f8lpmt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 57460 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: '44u5zoyypmt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'tdq82bb0pmt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: '10xi6i24pmt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'n3ykqhe4pmt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '5ddcgbpqpmt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'z59sf4ilpmt',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'ecvb3a8xpmt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: 'ierg1fbvpmt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: '46kjnywapmt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '8j2vkys9pmt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: '6f480de5pmt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'fcx8cw1rpmt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'z71al7aapmt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'x8v9qf95pmt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'pgmzldy7pmt',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_pmt_org_area',
        foreignKey: 'f_8r6ikw6xnz0',
        otherKey: 'f_hbxb8vsecko',
        sourceKey: 'id',
      },
      {
        key: 'ase7kobwpmt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_pmt_org_photo',
        foreignKey: 'f_hmb1pbp4vgf',
        otherKey: 'f_zwsrqz83mp8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c50l1zgupmt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'msj1qa4dpmt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'q755hkxmpmt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: '0rd147mepmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'gbclpdalpmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'lc9t9qw7pmt',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: '6jboxc1xb9w',
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_pmt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'maki8q43pmt',
        name: 'dept',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)',
        },
        target: 'tt_pmt_dept',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '0w5j5222pmt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_pmt_org_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '9kn4ujerpmt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '07mz84okpmt',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_pmt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '01me4f8dpmt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'mkr7ceudpmt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'bekuc6bvpmt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'i3vcrhvupmt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: 'vqcsj7htpmt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'hpaq1qcrpmt',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_org',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_pmt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:14.134Z',
          updatedAt: '2023-04-07T07:20:14.134Z',
          collectionName: 'tt_pmt_org',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'jkvem4l2pmt',
    name: 'tt_pmt_org_tree',
    title: '性能>组织[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'kc6qsw8wpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yx47674fpmt',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '79u57anwpmt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_pmt_org_tree',
      },
      {
        key: '83r2hhkbpmt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'taoh3i6lpmt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '296cj7lspmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gj21nfz5pmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'z292a2aupmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5kuz9obqpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'azr2xsv2pmt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 63149 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
      },
      {
        key: '74al0ht7pmt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
      },
      {
        key: 'n56ccueipmt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
      },
      {
        key: 'abgsu9vspmt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
      },
      {
        key: 'nwpk0kqbpmt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ytnsb45bpmt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'x4nd5g8spmt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
      },
      {
        key: 'pv4aqfcypmt',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
      },
      {
        key: 'mwini82xpmt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
      },
      {
        key: '5fglvshfpmt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
      },
      {
        key: 'zdigd67upmt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
      },
      {
        key: '42x9v3wvpmt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
      },
      {
        key: 'xbjymcjxpmt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
      },
      {
        key: 'v0ap20mgpmt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'vwmg4ex9pmt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
      },
      {
        key: 'upkxrqfrpmt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
      },
      {
        key: 'd9y72qk8pmt',
        name: 'area',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '所属地区(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_pmt_org_tree_area',
        foreignKey: 'f_y6ukux7kw1q',
        otherKey: 'f_ai3a25o9qc5',
        sourceKey: 'id',
      },
      {
        key: 'qyrlvi32pmt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '公司近照(附件)',
        },
        target: 'attachments',
        through: 'tt_pmt_org_tree_photo',
        foreignKey: 'f_xlak0scjck5',
        otherKey: 'f_e5xhh2cuol1',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'n9wnfqdrpmt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
      },
      {
        key: 'wkfyg6lvpmt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
      },
      {
        key: 'slzowx7dpmt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
      },
      {
        key: 'qiqf41ygpmt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
      {
        key: '5qmafhaxpmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'r0qqlw89pmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'led3sjaepmt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
      },
      {
        key: 'ipdvxkxjpmt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
      },
      {
        key: 'ldr83y30pmt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
      },
      {
        key: 'ggdzs1wxpmt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
      },
      {
        key: '6327d159pmt',
        name: 'license',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '营业执照(one has one)',
        },
        target: 'tt_pmt_orglicense',
        sourceKey: 'id',
      },
      {
        key: 'wbdndzvqpmt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'ao3kbbt3pmt',
        name: 'dept_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '部门(one to many)[树表]',
        },
        target: 'tt_pmt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'sd0zsbzypmt',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'c5m12hy5pmt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_pmt_org_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        target: 'tt_bd_range',
        through: 'tt_pmt_org_tree_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T14:06:15.660Z',
          updatedAt: '2023-04-25T14:06:15.660Z',
          collectionName: 'tt_pmt_org_tree',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'c9hyqimlpmt',
    name: 'tt_pmt_dept',
    title: '性能>部门[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '28tj63grpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '67necqtapmt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nqeetal0pmt',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'dbb290eopmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9c2ga9cmpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '65yzgsp7pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'w0tqtrnxpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zbos4viupmt',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'qpuhqqmdpmt',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'a7sva5d0pmt',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_pmt_org',
        targetKey: 'id',
      },
      {
        key: 'ab74sl8fpmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'fnsb3qqhpmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: '3hur9occpmt',
        name: 'staff',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)',
        },
        target: 'tt_pmt_staff',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'flwjk24upmt',
        name: 'owner',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_dept',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)',
        },
        target: 'tt_pmt_staff',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:25.220Z',
          updatedAt: '2023-04-07T07:20:25.220Z',
          collectionName: 'tt_pmt_dept',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dmm5t1iopmt',
    name: 'tt_pmt_dept_tree',
    title: '性能>部门[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '1gdw4yp8pmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '2u3nb80rpmt',
        name: 'ownerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gbcioiedpmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'abaa5i71pmt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_pmt_dept_tree',
      },
      {
        key: 'k4bwf4fwpmt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'uram4ujwpmt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_dept_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'jdtnebxapmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'al86l9utpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'lu5n2igkpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rxi8ruyhpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '5o0c6zhcpmt',
        name: 'deptcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门编码' },
      },
      {
        key: 'fqrkfpzzpmt',
        name: 'deptname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '部门名称' },
      },
      {
        key: 'hx8w6300pmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'iux15mx1pmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'gcqvgh1ppmt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'ownerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'sh4vp1w3pmt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
      {
        key: '0ff3qb08pmt',
        name: 'staff_tree',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_dept_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '员工(one to many)[树表]',
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-27T08:22:25.503Z',
          updatedAt: '2023-04-27T08:22:25.503Z',
          collectionName: 'tt_pmt_dept_tree',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'jff9r7ebpmt',
    name: 'tt_pmt_orglicense',
    title: '性能>组织营业执照([普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9qhn1fuupmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'fgiqbd4epmt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '所属组织id(外键)', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '00r3t2p7pmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1fthdco0pmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3a9n2pwtpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'rua496y1pmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6jboxc1xpmt',
        name: 'org',
        type: 'belongsTo',
        interface: 'obo',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: 'lc9t9qw7w7m',
        uiSchema: {
          title: '所属组织(one belongsto one)',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_org',
        onDelete: 'SET NULL',
        targetKey: 'id',
        foreignKey: 'orgid',
      },
      {
        key: '82etkpqdpmt',
        name: 'unifiledcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '统一社会信用代码(单行文本)' },
      },
      {
        key: '3pcmumdfpmt',
        name: 'legalpersonname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人姓名(单行文本)' },
      },
      {
        key: 'iw6icymfpmt',
        name: 'legalpersonidnumber',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '法人身份证件号(单行文本)' },
      },
      {
        key: 'lr6c7yhjpmt',
        name: 'range',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orglicenseid',
        otherKey: 'rangeid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '经营范围(many to many)',
        },
        through: 'tt_pmt_orglicense_range',
        target: 'tt_bd_range',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '662guqhypmt',
        name: 'rangecode',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围编码(多行文本)' },
      },
      {
        key: 'k6bhpu8vpmt',
        name: 'rangedesc',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '经营范围描述(多行文本)' },
      },
      {
        key: 'iznfr95fpmt',
        name: 'expiredate_start',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期起(日期)',
        },
      },
      {
        key: '1q80cfg1pmt',
        name: 'expiredate_end',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '有效期止(日期)',
        },
      },
      {
        key: 'wm9jsj6tpmt',
        name: 'issuedate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '发证日期(日期)',
        },
      },
      {
        key: '6m7kai14pmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'muf1twfgpmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_orglicense',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:20.927Z',
          updatedAt: '2023-04-07T07:20:20.927Z',
          collectionName: 'tt_pmt_orglicense',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'dax26iuxpmt',
    name: 'tt_pmt_staff',
    title: '性能>员工[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '0d2rycb2pmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 't0bt3g4cpmt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '5k5ccsyhpmt',
        name: 'deptid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3ji1ldjupmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'orh016pzpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xxm0g05jpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9wp4v5fwpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'iezxmwh1pmt',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 52031 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
        unique: false,
        inputable: false,
      },
      {
        key: 'khzh1v1cpmt',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8h58dz5bpmt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zolos0d9pmt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'h1i82qrypmt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '6mjqrhctpmt',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'i5e7xxo2pmt',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'xfm96km3pmt',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: 'xon8vnm1pmt',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'dnijk17tpmt',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: 'v9kgbw1npmt',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: '1m7sadgxpmt',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'as9m82ynpmt',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'h4a3h0zkpmt',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '2vg9uhb4pmt',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_pmt_staff_regaddress',
        foreignKey: 'f_hhmtoqcqk8g',
        otherKey: 'f_t0sryffordg',
        sourceKey: 'id',
      },
      {
        key: '9rfwtrrepmt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_pmt_staff_photo',
        foreignKey: 'f_yntlgbf87rd',
        otherKey: 'f_sikqv9m15cv',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '7x5uevlopmt',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: 'lybdq5awpmt',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'duc6939bpmt',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: 'kd1k3d1vpmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'h0kyhflppmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'sigq297cpmt',
        name: 'org',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)',
        },
        target: 'tt_pmt_org',
        targetKey: 'id',
      },
      {
        key: 'kgag86hipmt',
        name: 'dept',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)',
        },
        target: 'tt_pmt_dept',
        targetKey: 'id',
      },
      {
        key: 'vja8qigtpmt',
        name: 'prof',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)',
        },
        through: 'tt_pmt_staff_prof',
        target: 'tt_bd_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'r5b5s85spmt',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'be635dbcpmt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点) ',
        },
      },
      {
        key: 'lmd0usk9pmt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线) ',
        },
      },
      {
        key: '07yrmxlopmt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: '4k9t55htpmt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: 'dn9fkra7pmt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_pmt_staff',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-07T07:20:55.666Z',
          updatedAt: '2023-04-07T07:20:55.666Z',
          collectionName: 'tt_pmt_staff',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: '07n5p6udpmt',
    name: 'tt_pmt_staff_tree',
    title: '性能>员工[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'y76paceepmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6lgwn42mpmt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o12889owpmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '57e1zlytpmt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_pmt_staff_tree',
      },
      {
        key: 'c4pv07f8pmt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'fr94xx2ppmt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'q3rlwr75pmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fvfjkwsupmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zow7sqvepmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'ifmf1eiepmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'wd1i5pqgpmt',
        name: 'staffcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'NB' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 8086 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '员工号(自动编码)' },
      },
      {
        key: 'v6k6cr1tpmt',
        name: 'staffname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '姓名(单行文本)' },
      },
      {
        key: '8bsrw9j4pmt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '联系地址(多行文本)' },
      },
      {
        key: 'zhqz0lwvpmt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'l1hh1wh7pmt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: '9u0y3nvapmt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '个人主页(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'ol1z5t5qpmt',
        name: 'age',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '年龄(整数)',
        },
      },
      {
        key: 'kkgucwe0pmt',
        name: 'workyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '工龄(数字)',
        },
      },
      {
        key: 'hka1kizwpmt',
        name: 'selforgworkyears',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.1', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '司龄(数字)',
        },
      },
      {
        key: '96l8dmbrpmt',
        name: 'proportion',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '股份占比(百分比)',
        },
      },
      {
        key: 'q89bdfmepmt',
        name: 'isonduty',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否在岗(勾选)' },
      },
      {
        key: '4gi6ye8zpmt',
        name: 'maritalstatus_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '婚姻状况(下拉单选)',
        },
      },
      {
        key: 'my9kkqa4pmt',
        name: 'prof_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '33', label: '通信专业技术人员职业资格' },
            { value: '34', label: '计算机技术与软件专业技术资格' },
            { value: '36', label: '会计专业技术资格' },
            { value: '52', label: '统计专业技术资格' },
            { value: '56', label: '翻译专业资格' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '职业资格(下拉多选)',
        },
        defaultValue: [],
      },
      {
        key: 'b8r0ccdnpmt',
        name: 'maritalstatus_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '01', label: '未婚' },
            { value: '02', label: '已婚' },
            { value: '03', label: '丧偶' },
            { value: '04', label: '离异' },
            { value: '05', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '婚姻状况(单选)',
        },
      },
      {
        key: 'has6qmwhpmt',
        name: 'prof_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '04', label: '中国委托公证人资格（香港、澳门）' },
            { value: '05', label: '注册会计师' },
            { value: '10', label: '监理工程师' },
            { value: '28', label: '专利代理师' },
            { value: '32', label: '工程咨询（投资）专业技术人员职业资格' },
            { value: '34', label: '通信专业技术人员职业资格' },
            { value: '36', label: '计算机技术与软件专业技术资格' },
            { value: '52', label: '会计专业技术资格' },
            { value: '56', label: '统计专业技术资格' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '职业资格(复选)',
        },
        defaultValue: [],
      },
      {
        key: '1um9vv5vpmt',
        name: 'regaddress',
        type: 'belongsToMany',
        interface: 'chinaRegion',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': {
            maxLevel: 3,
            useDataSource: '{{ useChinaRegionDataSource }}',
            useLoadData: '{{ useChinaRegionLoadData }}',
            changeOnSelectLast: false,
            labelInValue: true,
            fieldNames: { label: 'name', value: 'code', children: 'children' },
          },
          type: 'array',
          'x-component': 'Cascader',
          title: '户籍地(行政区划)',
        },
        target: 'chinaRegions',
        targetKey: 'code',
        sortBy: 'level',
        through: 'tt_pmt_staff_tree_regaddress',
        foreignKey: 'f_ife9oxivp9d',
        otherKey: 'f_6qkh23zbzww',
        sourceKey: 'id',
      },
      {
        key: '70if34x0pmt',
        name: 'photo',
        type: 'belongsToMany',
        interface: 'attachment',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { multiple: true, action: 'attachments:upload' },
          type: 'array',
          'x-component': 'Upload.Attachment',
          title: '照片(附件)',
        },
        target: 'attachments',
        through: 'tt_pmt_staff_tree_photo',
        foreignKey: 'f_6m5lnpitpr8',
        otherKey: 'f_dcbgh1euvv8',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '4kk7v93ypmt',
        name: 'prof_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '职业资格(Markdown)' },
      },
      {
        key: '04s0u9kdpmt',
        name: 'prof_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '职业资格(富文本)' },
      },
      {
        key: 'yw6tg52vpmt',
        name: 'birthdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '出生日期(日期)',
        },
      },
      {
        key: '3hleeqt3pmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'zh6dj1kgpmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'ebgwkmkkpmt',
        name: 'prof_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '职业资格(JSON)',
        },
      },
      {
        key: 'xkq2xsm5pmt',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(点)',
        },
      },
      {
        key: 'u0mnio95pmt',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(线)',
        },
      },
      {
        key: 'qee0kthfpmt',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(圆)',
        },
      },
      {
        key: 'lltpukvlpmt',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '联系地址坐标(多边形)',
        },
      },
      {
        key: '9i5avlqopmt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'dpozkfpdpmt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属部门(many to one)[树表]',
        },
        target: 'tt_pmt_dept_tree',
        targetKey: 'id',
      },
      {
        key: 'tj2z9xpypmt',
        name: 'prof_tree',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'tt_pmt_staff_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        otherKey: 'profid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '职业资格(many to many)[树表]',
        },
        target: 'tt_bd_prof',
        through: 'tt_pmt_staff_tree_prof',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-27T08:30:17.111Z',
          updatedAt: '2023-04-27T08:30:17.111Z',
          collectionName: 'tt_pmt_staff_tree',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'wxthhajvpmt',
    name: 'tt_pmt_customer_tree',
    title: '性能>客户[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7slke7lrpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ljn3r3j2pmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '70pjqv7vpmt',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wb3a5n00pmt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_pmt_customer_tree',
      },
      {
        key: 'sib2jw39pmt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '6iej9s4rpmt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_customer_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'rakkhuyqpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '0enk4fydpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '4hvi0emcpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3x3n73dzpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '02gf41rlpmt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'rvq1m32cpmt',
        name: 'custcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '客户' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20712 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '客户编码' },
      },
      {
        key: '8oeh8ic6pmt',
        name: 'custname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户名称' },
      },
      {
        key: 'q7duzlt0pmt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'nhr8omk5pmt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: 'gwzayy3rpmt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'tziwvbpspmt',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_customer_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-28T09:44:23.793Z',
          updatedAt: '2023-04-28T09:44:23.793Z',
          collectionName: 'tt_pmt_customer_tree',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '7392uqu9pmt',
    name: 'tt_pmt_supplier_tree',
    title: '性能>供应商[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'mks9f38spmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kzusp28bpmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'zg1uwvdwpmt',
        name: 'countryid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'countryid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jgaiuu1qpmt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_pmt_supplier_tree',
      },
      {
        key: '0rbkjvyxpmt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: '77hg0uxzpmt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_supplier_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'p13jc9l7pmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xct6unjgpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'vmhpgoa5pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'oagzn1jgpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gzkhprhxpmt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所属组织(many to one)[树表]',
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
      {
        key: 'fh5kfafspmt',
        name: 'suppliercode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '供应商' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 20533 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '供应商编码' },
      },
      {
        key: 'vfu829qkpmt',
        name: 'suppliername',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商名称' },
      },
      {
        key: '8iq0bwj8pmt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '地址(多行文本)' },
      },
      {
        key: 'tpjdf0qlpmt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '联系电话(手机号码)',
        },
      },
      {
        key: '12jih9kmpmt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
      },
      {
        key: 'ksx9ximzpmt',
        name: 'country',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_supplier_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'countryid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '所在国家(many to one)',
        },
        target: 'tt_bd_country',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-28T09:45:02.249Z',
          updatedAt: '2023-04-28T09:45:02.249Z',
          collectionName: 'tt_pmt_supplier_tree',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'k6j1dzcwpmt',
    name: 'tt_pmt_materialclass_tree',
    title: '性能>物料分类[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '5hyy7ulhpmt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_pmt_materialclass_tree',
      },
      {
        key: 'g1xc56vdpmt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: '872hxq6fpmt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_materialclass_tree',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'v424kp87pmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'he58euuqpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '07hjbpnrpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8gs6msrqpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'so854ilspmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'p770it8ypmt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类编码' },
        unique: true,
      },
      {
        key: 'k5xztdmepmt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'nr876w40pmt',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: '2o68nz63pmt',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_materialclass_tree',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-19T09:20:22.556Z',
          updatedAt: '2023-04-19T09:20:22.556Z',
          collectionName: 'tt_pmt_materialclass_tree',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '71pkkfvopmt',
    name: 'tt_pmt_material',
    title: '性能>物料[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'c5r0cfgopmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0q971jh5pmt',
        name: 'classid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'classid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'p2me0o8tpmt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'waqpt4bgpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nc86chxbpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7tknuof2pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '1l9ejn4ppmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8drih6ghpmt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
        unique: true,
      },
      {
        key: '20zdhfalpmt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: '5wqpy9zfpmt',
        name: 'spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '规格' },
      },
      {
        key: 'ggiidy6lpmt',
        name: 'type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '型号' },
      },
      {
        key: 'cvt9ywoopmt',
        name: 'classname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '分类名称' },
      },
      {
        key: 'mu2qzacspmt',
        name: 'class',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'classid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料分类',
        },
        target: 'tt_pmt_materialclass_tree',
        targetKey: 'id',
      },
      {
        key: 'ydv8fsi5pmt',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: 'oe79qxo1pmt',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_material',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '单位名称' },
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-20T01:52:56.923Z',
          updatedAt: '2023-04-20T01:52:56.923Z',
          collectionName: 'tt_pmt_material',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'tu68q4z3pmt',
    name: 'tt_pmt_warehouse',
    title: '性能>仓库[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'apvdr645pmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'kclgp2ippmt',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xtx7x7icpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4mn9swsypmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'zc7tecz8pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gwebb7uqpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tw3v31jtpmt',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '编码' },
        unique: true,
      },
      {
        key: 'tlwo8alnpmt',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '名称' },
        unique: false,
      },
      {
        key: 'ow21q1mipmt',
        name: 'address',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '地址' },
      },
      {
        key: 'xcaygwbopmt',
        name: 'owner_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_warehouse',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'staffid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '负责人(many to one)[树表]',
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-26T02:46:43.336Z',
          updatedAt: '2023-04-26T02:46:43.336Z',
          collectionName: 'tt_pmt_warehouse',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'n4lsa1g2pmt',
    name: 'tt_pmt_inventory',
    title: '性能>库存[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'abeyktkjpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'g5qkwfpypmt',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '14f2xdmhpmt',
        name: 'warehouseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'warehouseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95jd7wripmt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'qc3p5dt6pmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yiomb00gpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9brp2wbrpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'n35bf0afpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '298424xepmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'd6kytzf4pmt',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_pmt_material',
        targetKey: 'id',
      },
      {
        key: 'prh0xuiipmt',
        name: 'warehouse_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库编码' },
      },
      {
        key: '6mi0mibopmt',
        name: 'warehouse_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '仓库名称' },
      },
      {
        key: '0jmm0k7hpmt',
        name: 'material_code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'qf02v4u7pmt',
        name: 'material_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'qivjufzrpmt',
        name: 'material_spec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '45xaw14ipmt',
        name: 'material_type',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: '9sblvxa0pmt',
        name: 'material_unit',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料单位名称' },
      },
      {
        key: 'ua0nwv6apmt',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '库存数量',
        },
      },
      {
        key: 'inwiwx60pmt',
        name: 'warehouse',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'warehouseid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '仓库(many to one)',
        },
        target: 'tt_pmt_warehouse',
        targetKey: 'id',
      },
      {
        key: 'sfl8nllbpmt',
        name: 'unit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '9q9kws0vpmt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_inventory',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '组织(many to one)[树表]',
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T06:25:00.153Z',
          updatedAt: '2023-04-25T06:25:00.153Z',
          collectionName: 'tt_pmt_inventory',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '44kz0lhypmt',
    name: 'tt_pmt_purchase',
    title: '性能>采购订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zu5d8z6kpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jl9co7lgpmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '1pjpolwspmt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'vaq1zx9tpmt',
        name: 'supplierid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'supplierid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gyrywzcgpmt',
        name: 'purchasecontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: {
          type: 'number',
          title: 'purchasecontactid_tree',
          'x-component': 'InputNumber',
          'x-read-pretty': true,
        },
      },
      {
        key: 'oa2xy75epmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'q7rwin7qpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '46ozud8tpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'epfl5wdxpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tf2g38s3pmt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购组织(many to one)[树表]',
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
      {
        key: '9rlqnee9pmt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购部门(many to one)[树表]',
        },
        target: 'tt_pmt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7am8kldzpmt',
        name: 'supplier_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'supplierid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '供应商(many to one)[树表]',
        },
        target: 'tt_pmt_supplier_tree',
        targetKey: 'id',
      },
      {
        key: 'ftodeoodpmt',
        name: 'order_no',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'PO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 25793 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(自动编码)' },
        unique: true,
      },
      {
        key: 'pv6aog71pmt',
        name: 'purchasecontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'purchasecontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '采购联系人(many to one)[树表]',
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'n59j0a22pmt',
        name: 'purchasecontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '采购联系人姓名' },
      },
      {
        key: 'ib304wsnpmt',
        name: 'purchasecontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '采购联系电话',
        },
      },
      {
        key: '5utcqj28pmt',
        name: 'suppliercontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '供应商联系人姓名' },
      },
      {
        key: 'ji5xtqgopmt',
        name: 'suppliercontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '供应商联系人电话',
        },
      },
      {
        key: 'eo46f5j7pmt',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: '32zcduo2pmt',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: '0ptwgu88pmt',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
      {
        key: 'usb8rwvipmt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_purchase',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_pmt_purchase_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T12:15:52.314Z',
          updatedAt: '2023-04-25T12:15:52.314Z',
          collectionName: 'tt_pmt_purchase',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'kryvveqepmt',
    name: 'tt_pmt_purchase_detail',
    title: '性能>采购订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bx68gtu7pmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j72k53rkpmt',
        name: 'materialid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'materialid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '95gbyr21pmt',
        name: 'unitid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'unitid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rv5jirstpmt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'hero7kpwpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fmq1ydbfpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'kypoomknpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'nny43njxpmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'c5miad3vpmt',
        name: 'order_no',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '订单号' },
      },
      {
        key: 'uqgrkynrpmt',
        name: 'material',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'materialid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '物料(many to one)',
        },
        target: 'tt_pmt_material',
        targetKey: 'id',
      },
      {
        key: 'bl7rotumpmt',
        name: 'materialcode',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料编码' },
      },
      {
        key: 'r4knrjc1pmt',
        name: 'materialname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料名称' },
      },
      {
        key: 'xh2x8ozppmt',
        name: 'materialspec',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料规格' },
      },
      {
        key: '6udro2iwpmt',
        name: 'materialtype',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '物料型号' },
      },
      {
        key: 'ggluomz0pmt',
        name: 'materialunit',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'unitid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '计量单位(many to one)',
        },
        target: 'tt_bd_unit',
        targetKey: 'id',
      },
      {
        key: '7rqysq3hpmt',
        name: 'unitname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '计量单位' },
      },
      {
        key: '5etvyohupmt',
        name: 'price',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '价格',
        },
      },
      {
        key: 'v4ipx3dapmt',
        name: 'quantity',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '数量',
        },
      },
      {
        key: 'ipiuw9uypmt',
        name: 'amount',
        type: 'formula',
        interface: 'formula',
        collectionName: 'tt_pmt_purchase_detail',
        parentKey: null,
        reverseKey: null,
        dataType: 'double',
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'Formula.Result',
          'x-read-pretty': true,
          title: '金额',
        },
        engine: 'math.js',
        expression: '{{price}}*{{quantity}}',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T12:44:24.873Z',
          updatedAt: '2023-04-25T12:44:24.873Z',
          collectionName: 'tt_pmt_purchase_detail',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '5xacggexpmt',
    name: 'tt_pmt_production',
    title: '性能>生产订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zf3pkbadpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_production',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'na8opa82pmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_production',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'kpu29b74pmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '3jcf7oyxpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_production',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fxrdb8s4pmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_production',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'rj55h3axpmt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_production',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_pmt_production_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:27.913Z',
          updatedAt: '2023-04-25T14:08:27.913Z',
          collectionName: 'tt_pmt_production',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'h093tdwmpmt',
    name: 'tt_pmt_production_detail',
    title: '性能>生产订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'xmrs0mlfpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_production_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7qdn6q3apmt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_production_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'spim8s5fpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'bgct5ehspmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'j5l9nb1hpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_production_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4ybl1kwypmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_production_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T14:08:55.636Z',
          updatedAt: '2023-04-25T14:08:55.636Z',
          collectionName: 'tt_pmt_production_detail',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'nt80ck13pmt',
    name: 'tt_pmt_sales',
    title: '性能>销售订单[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zt2k3h7hpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gfrrwt8tpmt',
        name: 'customerid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'customerid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '93fwne9ppmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xs1l2rwapmt',
        name: 'deptid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'deptid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'iq9oe0ggpmt',
        name: 'salescontactid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'salescontactid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'nadruvhupmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'yizb72d1pmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'ps02ffrspmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '23hdfiv1pmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gctv1r6jpmt',
        name: 'order_bo',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: 'CO' } },
          { type: 'date', options: {} },
          { type: 'integer', options: { digits: 5, start: 1, key: 7219 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '订单号(字段编号)' },
      },
      {
        key: '2llg7id8pmt',
        name: 'org_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orgid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售组织(many to one)[树表]',
        },
        target: 'tt_pmt_org_tree',
        targetKey: 'id',
      },
      {
        key: '7c730b5rpmt',
        name: 'dept_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'deptid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售部门(many to one)[树表]',
        },
        target: 'tt_pmt_dept_tree',
        targetKey: 'id',
      },
      {
        key: '7wtlcoz9pmt',
        name: 'salescontact',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'salescontactid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '销售联系人(many to one)[树表]',
        },
        target: 'tt_pmt_staff_tree',
        targetKey: 'id',
      },
      {
        key: 'q3rs6u23pmt',
        name: 'customer_tree',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'customerid_tree',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '客户(many to one)[树表]',
        },
        target: 'tt_pmt_customer_tree',
        targetKey: 'id',
      },
      {
        key: '0pemv8jmpmt',
        name: 'detail',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'orderid',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '订单明细(one to many)',
        },
        target: 'tt_pmt_sales_detail',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'svwa3wgbpmt',
        name: 'salescontact_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '销售联系人姓名' },
      },
      {
        key: 'nku29fowpmt',
        name: 'salescontact_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '销售联系人电话',
        },
      },
      {
        key: 'xr4pcarhpmt',
        name: 'customer_name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '客户联系人姓名' },
      },
      {
        key: 'mmhhc0ptpmt',
        name: 'customer_phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '客户联系人电话',
        },
      },
      {
        key: 'xfgac7blpmt',
        name: 'paymentstatus',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未付款' },
            { value: '2', label: '已付款' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '付款状态',
        },
      },
      {
        key: 'xx7i85nbpmt',
        name: 'status',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '已发货' },
            { value: '2', label: '已签收' },
            { value: '3', label: '已退货' },
            { value: '4', label: '取消交易' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '订单状态',
        },
      },
      {
        key: 'qj9ms33ypmt',
        name: 'amount',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_sales',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '订单金额',
        },
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T12:17:57.745Z',
          updatedAt: '2023-04-25T12:17:57.745Z',
          collectionName: 'tt_pmt_sales',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'e6pnku1upmt',
    name: 'tt_pmt_sales_detail',
    title: '性能>销售订单明细[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '32d6q8ggpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_sales_detail',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'n5ibp5iepmt',
        name: 'orderid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_sales_detail',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orderid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ztpg5wlfpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'czck2j0spmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tpvgjomopmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_sales_detail',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '5sn2s2xopmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_sales_detail',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-25T12:45:35.367Z',
          updatedAt: '2023-04-25T12:45:35.367Z',
          collectionName: 'tt_pmt_sales_detail',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '2bvnp2sbpmt',
    name: 'tt_pmt_defaultvalue',
    title: '性能>默认值[树表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7mzjbf1opmt',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_pmt_defaultvalue',
      },
      {
        key: 'z2hgnn8ipmt',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_defaultvalue',
        targetKey: 'id',
      },
      {
        key: '5r83de6vpmt',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_pmt_defaultvalue',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'z8je0jajpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'uld866n1pmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gjw3j1pbpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'olecaco2pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hyfbyx30pmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'utn8yk57pmt',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区划编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 56717 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
      },
      {
        key: 'sd1js4eopmt',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
        defaultValue: '默认值：公司名称',
      },
      {
        key: 'dpg1reljpmt',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
        defaultValue: '默认值：公司地址(多行文本)',
      },
      {
        key: 'db3qm50mpmt',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
        defaultValue: '默认值：15912345678',
      },
      {
        key: 'ebaqb3bwpmt',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
        defaultValue: 'jihongbo@nocobase.com',
      },
      {
        key: '4a7n9i83pmt',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
      },
      {
        key: 'stmuctyrpmt',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
        defaultValue: 899123,
      },
      {
        key: 'mv7mq8flpmt',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
        defaultValue: 1234.56789,
      },
      {
        key: 'qlnzy3xkpmt',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
        defaultValue: 123.456789,
      },
      {
        key: 'byow909jpmt',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.001', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
        defaultValue: 0.12345,
      },
      {
        key: '5n8oh02mpmt',
        name: 'password',
        type: 'password',
        interface: 'password',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        hidden: true,
        uiSchema: { type: 'string', 'x-component': 'Password', title: '登录密码(密码)' },
        defaultValue: 'admin123',
      },
      {
        key: 'chcwtw6ppmt',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
        defaultValue: true,
      },
      {
        key: 'l24xyofvpmt',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
        defaultValue: '1',
      },
      {
        key: 'i5ghwln2pmt',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: ['F3134', 'I3006', 'I3008'],
      },
      {
        key: '1ya46ghapmt',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
        defaultValue: '2',
      },
      {
        key: 'otn7lnx7pmt',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: ['L2095', 'M2070', 'O3010'],
      },
      {
        key: 'd9yuz42tpmt',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
        defaultValue:
          '人工智能应用软件开发，软件外包服务，网络与信息安全软件开发，信息技术咨询服务，数据处理服务，计算机系统服务，企业管理咨询',
      },
      {
        key: 'pmn5kco5pmt',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
        defaultValue:
          '<p>网络与信息安全软件开发，数字文化创意软件开发，业务培训（不含教育培训、职业技能培训等需取得许可的培训）</p>',
      },
      {
        key: '6slk4p6bpmt',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
        defaultValue: '2023-03-30T07:19:11.963Z',
      },
      {
        key: '707gt6dwpmt',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'tt_pmt_defaultvalue',
        parentKey: null,
        reverseKey: null,
        defaultValue: {
          F3134: '软件销售',
          I3006: '软件开发',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3010: '软件外包服务',
          I3011: '网络与信息安全软件开发',
          I3014: '数字文化创意软件开发',
          I3027: '信息技术咨询服务',
          L2095: '企业管理咨询',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
        },
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-28T03:31:22.055Z',
          updatedAt: '2023-04-28T03:31:22.055Z',
          collectionName: 'tt_pmt_defaultvalue',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'nj5azm2gpmt',
    name: 'tt_pmt_nofields',
    title: '性能>无字段[普通表]',
    inherit: false,
    hidden: false,
    fields: [],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-18T13:42:56.966Z',
          updatedAt: '2023-04-18T13:42:56.966Z',
          collectionName: 'tt_pmt_nofields',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: false,
    createdBy: false,
    updatedBy: false,
    createdAt: false,
    updatedAt: false,
    sortable: false,
    template: 'general',
    view: false,
  },
  {
    key: '4tg08zk3pmt',
    name: 'tt_pmt_org_range',
    title: '性能>企业经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '2fbsga5vpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_org_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'mewmuwi8pmt',
        name: 'orgid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'o3l0cbk8pmt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'rnrzdmc9pmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '34wimt2spmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'xnj4hlo2pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_org_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'za2aan91pmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_org_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:22.310Z',
          updatedAt: '2023-04-07T07:22:22.310Z',
          collectionName: 'tt_pmt_org_range',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'syz4h7tcpmt',
    name: 'tt_pmt_org_tree_range',
    title: '性能>企业[树表]经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '30gdvg32pmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7trh1ghgpmt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0sjgp48mpmt',
        name: 'orgid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orgid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j6e2sbqspmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'p46c0pkcpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6aope1xgpmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gahitzlypmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_org_tree_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-27T09:04:24.855Z',
          updatedAt: '2023-04-27T09:04:24.855Z',
          collectionName: 'tt_pmt_org_tree_range',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '0fz08i10pmt',
    name: 'tt_pmt_orglicense_range',
    title: '性能>企业营业执照经营范围关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'v2azsdlapmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'b236czclpmt',
        name: 'orglicenseid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'orglicenseid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'h0apri91pmt',
        name: 'rangeid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'rangeid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '3jw7vt3wpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'j663zfhcpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'hent1yb2pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'sjlsvl0ipmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_orglicense_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:29.257Z',
          updatedAt: '2023-04-07T07:22:29.257Z',
          collectionName: 'tt_pmt_orglicense_range',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'nrlp2vp9pmt',
    name: 'tt_pmt_staff_prof',
    title: '性能>员工职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'bljoiqfepmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_staff_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'wss1x9aapmt',
        name: 'staffid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5ijh4pdpmt',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'f9m0mfa0pmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'h4xd3801pmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'l58re1v1pmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_staff_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hpyexf1apmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_staff_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:36.300Z',
          updatedAt: '2023-04-07T07:22:36.300Z',
          collectionName: 'tt_pmt_staff_prof',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'juansr4gpmt',
    name: 'tt_pmt_staff_tree_prof',
    title: '性能>员工[树表]职业资格关系表[普通表]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9moeutkxpmt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_pmt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ub4kxj8npmt',
        name: 'staffid_tree',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'staffid_tree', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'q5owne4zpmt',
        name: 'profid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_pmt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'profid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '6otonjmxpmt',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_pmt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'k48spgxwpmt',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_pmt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'nj1wcx5upmt',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_pmt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fnv5h6e8pmt',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_pmt_staff_tree_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 8,
        createdAt: '2023-05-02T05:01:45.150Z',
        updatedAt: '2023-05-02T05:08:54.545Z',
        name: '性能测试pmt',
        color: 'red',
        collectionCategory: {
          createdAt: '2023-04-27T08:51:02.170Z',
          updatedAt: '2023-04-27T08:51:02.170Z',
          collectionName: 'tt_pmt_staff_tree_prof',
          categoryId: 8,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'n85ql667da9',
    name: 'tt_bd_range',
    title: '经营范围[基础数据]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'ennv3crwst5',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_bd_range',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 's5o0ol7hgbw',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_bd_range',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '429khsj4dsv',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_bd_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '5vwxqrwa4mr',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_bd_range',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'a6suv9g7l20',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_bd_range',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '1z3s96e5fx5',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_range',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '编码' },
        unique: true,
      },
      {
        key: 'lqwe4ci056h',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_range',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '名称' },
      },
    ],
    category: [
      {
        id: 6,
        createdAt: '2023-04-07T07:21:48.896Z',
        updatedAt: '2023-04-07T07:22:09.115Z',
        name: '基础数据',
        color: 'purple',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:43.744Z',
          updatedAt: '2023-04-07T07:22:43.744Z',
          collectionName: 'tt_bd_range',
          categoryId: 6,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'jmk6ia8jz4z',
    name: 'tt_bd_prof',
    title: '职业资格[基础数据]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '0990qzn0d7d',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_bd_prof',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'gtg340rgphh',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_bd_prof',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'jnggqjgciko',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_bd_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '0pj019qgc37',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_bd_prof',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'wjmvk1x3xf6',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_bd_prof',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'ojwtd3h1k3g',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_prof',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '编码' },
      },
      {
        key: 'r64a38zuvwu',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_prof',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '名称' },
      },
    ],
    category: [
      {
        id: 6,
        createdAt: '2023-04-07T07:21:48.896Z',
        updatedAt: '2023-04-07T07:22:09.115Z',
        name: '基础数据',
        color: 'purple',
        collectionCategory: {
          createdAt: '2023-04-07T07:22:49.601Z',
          updatedAt: '2023-04-07T07:22:49.601Z',
          collectionName: 'tt_bd_prof',
          categoryId: 6,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'l1pe60o5k9w',
    name: 'tt_bd_unit',
    title: '计量单位[基础数据]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'upppah0izl9',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '7kvkpd3dbcx',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'iz57u5tbxpx',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 't9z65lg3zl9',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'na7rzpk3rsr',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '6s6ivbag0br',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '计量单位名称' },
      },
      {
        key: 'j5z0kjpqos3',
        name: 'symbol',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '计量单位符号' },
      },
      {
        key: 'ps6c078xovd',
        name: 'class',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '重量', label: '重量' },
            { value: '长度', label: '长度' },
            { value: '体积', label: '体积' },
            { value: '面积', label: '面积' },
            { value: '时间', label: '时间' },
            { value: '力单位', label: '力单位' },
            { value: '压力', label: '压力' },
            { value: '温度', label: '温度' },
            { value: '能单位', label: '能单位' },
            { value: '功率', label: '功率' },
            { value: '平面角', label: '平面角' },
            { value: '频率', label: '频率' },
            { value: '速度', label: '速度' },
            { value: '其他', label: '其他' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '分类',
        },
      },
      {
        key: 'mzgil5hwnwb',
        name: 'isbasicunit',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否基本单位' },
      },
      {
        key: 'vaoi0ic89bf',
        name: 'scalefactor',
        type: 'double',
        interface: 'number',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.00001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '换算系数',
        },
      },
      {
        key: '30urcqe61hp',
        name: 'explain',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_unit',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '说明' },
      },
    ],
    category: [
      {
        id: 6,
        createdAt: '2023-04-07T07:21:48.896Z',
        updatedAt: '2023-04-07T07:22:09.115Z',
        name: '基础数据',
        color: 'purple',
        collectionCategory: {
          createdAt: '2023-04-20T07:25:35.395Z',
          updatedAt: '2023-04-20T07:25:35.395Z',
          collectionName: 'tt_bd_unit',
          categoryId: 6,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '9u97fo8dia4',
    name: 'tt_bd_country',
    title: '国家[基础数据]',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'idvlwt6mze2',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_bd_country',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'ckxmba4odek',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_bd_country',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'g1149e5loto',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_bd_country',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'hzo1p901frn',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_bd_country',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'qurg75o7ozd',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_bd_country',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'uqjxmmvhcqr',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_country',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '编码' },
      },
      {
        key: 'givy1miwu9p',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_bd_country',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '名称' },
      },
    ],
    category: [
      {
        id: 6,
        createdAt: '2023-04-07T07:21:48.896Z',
        updatedAt: '2023-04-07T07:22:09.115Z',
        name: '基础数据',
        color: 'purple',
        collectionCategory: {
          createdAt: '2023-05-01T01:22:36.559Z',
          updatedAt: '2023-05-01T01:22:36.559Z',
          collectionName: 'tt_bd_country',
          categoryId: 6,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'tizemw9tple',
    name: 'tt_systemfunction',
    title: '系统功能',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'r5524fbcl2m',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 'tt_systemfunction',
      },
      {
        key: 'a72rj5frog6',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_systemfunction',
        targetKey: 'id',
      },
      {
        key: 'hwnw83843rg',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 'tt_systemfunction',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'vxpkpx8kb8q',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'pzbwspr7swn',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'subtzujhtsk',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'moktw0q8vie',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'cr5cve6dqvl',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'b6ihtvu2dj7',
        name: 'code',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '功能编号' },
        unique: false,
      },
      {
        key: 'i6legesuvds',
        name: 'name',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_systemfunction',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '功能名称' },
      },
    ],
    category: [
      {
        id: 7,
        createdAt: '2023-04-25T13:44:32.270Z',
        updatedAt: '2023-04-25T13:44:32.270Z',
        name: '测试管理',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-04-25T13:44:40.819Z',
          updatedAt: '2023-04-25T13:44:40.819Z',
          collectionName: 'tt_systemfunction',
          categoryId: 7,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    tree: 'adjacencyList',
  },
  {
    key: 'xfuezkhjhqz',
    name: 'tt_testcase',
    title: '测试用例',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'qt6f7fuyks5',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'pg30ebqf7xm',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'enfqp0h3v1j',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '2yawnou1gud',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'hpfo33vgbhp',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'rqufb8u1glc',
        name: 'module',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'A1', label: '数据表管理' },
            { value: 'B1', label: '表格区块' },
            { value: 'B2', label: '表单区块' },
            { value: 'B3', label: '详情区块' },
            { value: 'B4', label: '日历' },
            { value: 'B5', label: '看板' },
            { value: 'B6', label: '图表' },
            { value: 'B7', label: '筛选表单' },
            { value: 'B8', label: '筛选表格' },
            { value: 'B9', label: '折叠面板' },
            { value: 'C1', label: '角色权限' },
            { value: 'D1', label: '工作流' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '模块',
        },
      },
      {
        key: 'zeu8arbhtdc',
        name: 'testcase_codepath',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '测试用例代码路径' },
      },
      {
        key: 'ygq9eikzxe6',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'w3311bzzqnw',
        name: 'preconditions',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '前置条件' },
      },
      {
        key: 'h406g8ea0h0',
        name: 'operationprocess',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '操作流程' },
      },
      {
        key: 'nkg6j7l0tdn',
        name: 'expectedresults',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '预期结果' },
      },
      {
        key: 'w6d9a4eme32',
        name: 'title',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_testcase',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '用例标题' },
      },
    ],
    category: [
      {
        id: 7,
        createdAt: '2023-04-25T13:44:32.270Z',
        updatedAt: '2023-04-25T13:44:32.270Z',
        name: '测试管理',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-04-25T13:44:47.469Z',
          updatedAt: '2023-04-25T13:44:47.469Z',
          collectionName: 'tt_testcase',
          categoryId: 7,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'g5ytst0cqcy',
    name: 'tt_testcaselog',
    title: '测试日志',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'mbm9da0nz89',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'zfxojqvtkak',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'u4koz84aupj',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'bq56imfrds4',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'dxbgs7wr54w',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'nvuyvysd8ba',
        name: 'module',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'A1', label: '数据表管理' },
            { value: 'B1', label: '表格区块' },
            { value: 'B2', label: '表单区块' },
            { value: 'B3', label: '详情区块' },
            { value: 'B4', label: '日历' },
            { value: 'B5', label: '看板' },
            { value: 'B6', label: '图表' },
            { value: 'B7', label: '筛选表单' },
            { value: 'B8', label: '筛选表格' },
            { value: 'B9', label: '折叠面板' },
            { value: 'C1', label: '角色权限' },
            { value: 'D1', label: '工作流' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '模块',
        },
      },
      {
        key: 'g7l6fs85t9k',
        name: 'testcase_codepath',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '测试用例代码路径' },
      },
      {
        key: 'phd63uzreoq',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
      },
      {
        key: 'zvmce8pb71o',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
      },
      {
        key: 'ps67womjjbx',
        name: 'status',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '未执行' },
            { value: '2', label: '通过' },
            { value: '3', label: '不通过' },
            { value: '4', label: '不执行' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '状态',
        },
      },
      {
        key: 'faiantr1pyx',
        name: 'database',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'sqlite', label: 'sqlite' },
            { value: 'postgresql', label: 'postgresql' },
            { value: 'mysql', label: 'mysql' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '数据库',
        },
      },
      {
        key: '0m11oryjtjg',
        name: 'databaseversion',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '数据库版本' },
      },
      {
        key: 'ijrc2v49q6j',
        name: 'browser',
        type: 'string',
        interface: 'select',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'chrome', label: 'chrome' },
            { value: 'foxfire', label: 'foxfire' },
            { value: 'safari', label: 'safari' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '浏览器',
        },
      },
      {
        key: 'e572buo7asv',
        name: 'browserversion',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '浏览器版本' },
      },
      {
        key: 'ufo40ugedtw',
        name: 'url',
        type: 'text',
        interface: 'markdown',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '测试url' },
      },
      {
        key: 'rl6scr6984v',
        name: 'title',
        type: 'string',
        interface: 'input',
        collectionName: 'tt_testcaselog',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '用例标题' },
      },
    ],
    category: [
      {
        id: 7,
        createdAt: '2023-04-25T13:44:32.270Z',
        updatedAt: '2023-04-25T13:44:32.270Z',
        name: '测试管理',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-04-25T13:44:54.591Z',
          updatedAt: '2023-04-25T13:44:54.591Z',
          collectionName: 'tt_testcaselog',
          categoryId: 7,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: 'lmo6cm3f7c2',
    name: 'tt_testdata',
    title: '测试数据',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '6ei9g6ff9k3',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'tt_testdata',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 's69c3jdimyu',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'tt_testdata',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'zcn36suospp',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'tt_testdata',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7qu4es2bd2j',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'tt_testdata',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'cfrmo1e0skg',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'tt_testdata',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 7,
        createdAt: '2023-04-25T13:44:32.270Z',
        updatedAt: '2023-04-25T13:44:32.270Z',
        name: '测试管理',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-04-25T13:45:01.432Z',
          updatedAt: '2023-04-25T13:45:01.432Z',
          collectionName: 'tt_testdata',
          categoryId: 7,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
  },
  {
    key: '4mrskydekt8',
    name: 'A',
    title: 'A',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'hhagqx6tfse',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'A',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'xuas8kklwyn',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'A',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'x74stx6n51v',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'A',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'gan6d7t3gxy',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'A',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'n85nac4xfd4',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'A',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '8pworpes14e',
        name: 'ab',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'A',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'aid',
        otherKey: 'bid',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: 'ab多对多',
        },
        through: 'AB',
        target: 'B',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-05-06T03:18:57.630Z',
          updatedAt: '2023-05-06T03:18:57.630Z',
          collectionName: 'A',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '4yg6a0e9kte',
    name: 'B',
    title: 'B',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7artungrjd6',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'B',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'paz5xciap8q',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'B',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'mwlpytvtn8p',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'B',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'a25h0zh1gxb',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'B',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'mtzr3jrq1kz',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'B',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-05-06T03:19:39.312Z',
          updatedAt: '2023-05-06T03:19:39.312Z',
          collectionName: 'B',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'qkp8032k4dn',
    name: 'B1',
    title: 'B1',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'l066f06advt',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'B1',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'k5z8e8e92zm',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'B1',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'o29s9jnarst',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'B1',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'r6v4binjojn',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'B1',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9h40s31rbqp',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'B1',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-05-06T03:19:49.557Z',
          updatedAt: '2023-05-06T03:19:49.557Z',
          collectionName: 'B1',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
    inherits: ['B'],
  },
  {
    key: 'nc0ergywq2w',
    name: 'B11',
    title: 'B11',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'q7otrhw1osh',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'B11',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'llfq4v93sdu',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'B11',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'r2favzyh9k4',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'B11',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '9paj69w8gv4',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'B11',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'ydpmbi83r25',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'B11',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-05-06T03:20:01.961Z',
          updatedAt: '2023-05-06T03:20:01.961Z',
          collectionName: 'B11',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
    inherits: ['B1'],
  },
  {
    key: '537qlxsrmv5',
    name: 'AB',
    title: 'AB',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'l9f4je9i9se',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'AB',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'fy68nt98qtu',
        name: 'aid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'AB',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'aid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '010y7cgqmjd',
        name: 'bid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'AB',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'bid', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '35cwf63mo3n',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'AB',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'tqs5h5fj5ry',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'AB',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'uucjx06jc7o',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'AB',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'evkmmw3559i',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'AB',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-05-06T03:20:27.483Z',
          updatedAt: '2023-05-06T03:20:27.483Z',
          collectionName: 'AB',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'sqycw0djcr8',
    name: 't_6fb7fxxa3dl',
    title: 'A',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '6bfyjuyz1gg',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'm7c4csulvn8',
        name: 'f_p46afinvttl',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_p46afinvttl', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'aqsw9l2ulcb',
        name: 'f_smteebqye12',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_smteebqye12', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0f0p33sr92i',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'qaaunzd5xmy',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'o7yyfsnlmqk',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'jyrbwgu7xib',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'bgjjipdkimi',
        name: 'f_ihl6aancmky',
        type: 'string',
        interface: 'input',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'A-F1' },
      },
      {
        key: 'qcie9uk4w51',
        name: 'f_p2k3j6tgb4p',
        type: 'string',
        interface: 'input',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'A-F2' },
      },
      {
        key: 'gagjov0og7d',
        name: 'f_xmhyeqc7la0',
        type: 'hasOne',
        interface: 'oho',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: 'dhn1b1eqn3t',
        foreignKey: 'f_jgandav0pck',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: 'OHO-B',
        },
        target: 't_z18wd283gv8',
        sourceKey: 'id',
      },
      {
        key: '7v6opuf6g8l',
        name: 'f_63drkwuvhrl',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_lnunm5u5whf',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: 'O2M-C',
        },
        target: 't_5oby9wk4bm5',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '2yw5yhle7vn',
        name: 'f_jflwlg1q309',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_p46afinvttl',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: 'M2O_D',
        },
        target: 't_dzvybf9lfg8',
        targetKey: 'id',
      },
      {
        key: 'rajwxhoexmi',
        name: 'f_q66vdwkiuws',
        type: 'belongsTo',
        interface: 'obo',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_smteebqye12',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: 'One to one (belongs to)-files',
        },
        target: 't_j7qydzmn8nh',
        targetKey: 'id',
      },
      {
        key: '3i01mnei083',
        name: 'f_4q6bhnqeayo',
        type: 'string',
        interface: 'select',
        collectionName: 't_6fb7fxxa3dl',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '7hmql58wiax', label: 'a', color: 'red' },
            { value: 'z20ys8vpz2g', label: 'b', color: 'magenta' },
            { value: 'obfbnbl4h1n', label: 'c', color: 'volcano' },
            { value: 'w2sso6tn2z8', label: 'd', color: 'orange' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: 'Single select',
        },
      },
    ],
    category: [
      {
        id: 9,
        createdAt: '2023-05-09T01:12:30.191Z',
        updatedAt: '2023-05-09T01:12:30.191Z',
        name: 'test',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-05-09T01:12:38.785Z',
          updatedAt: '2023-05-09T01:12:38.785Z',
          collectionName: 't_6fb7fxxa3dl',
          categoryId: 9,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'l5vlpnqs0gl',
    name: 't_z18wd283gv8',
    title: 'B',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 't94owz6zy5x',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yy3clyhwldm',
        name: 'f_jgandav0pck',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_jgandav0pck', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '23gqmyjfcvn',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xyosru2dg27',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '2d6h1q1aoh5',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4i60z84a5wu',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7uxur5jgdef',
        name: 'f_8fq6thziews',
        type: 'string',
        interface: 'input',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'B-F1' },
      },
      {
        key: '9rq2ciu1u8e',
        name: 'f_ukgzrtd6sni',
        type: 'string',
        interface: 'input',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'B-F2' },
      },
      {
        key: 'dhn1b1eqn3t',
        name: 'f_kylqdqjn7ho',
        type: 'belongsTo',
        interface: 'obo',
        collectionName: 't_z18wd283gv8',
        parentKey: null,
        reverseKey: 'gagjov0og7d',
        uiSchema: {
          title: 'A',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 't_6fb7fxxa3dl',
        onDelete: 'SET NULL',
        targetKey: 'id',
        foreignKey: 'f_jgandav0pck',
      },
    ],
    category: [
      {
        id: 9,
        createdAt: '2023-05-09T01:12:30.191Z',
        updatedAt: '2023-05-09T01:12:30.191Z',
        name: 'test',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-05-09T01:12:56.838Z',
          updatedAt: '2023-05-09T01:12:56.838Z',
          collectionName: 't_z18wd283gv8',
          categoryId: 9,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '6evrmsuqxop',
    name: 't_5oby9wk4bm5',
    title: 'C',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'oo5at5xlysp',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 's896t8boblu',
        name: 'f_lnunm5u5whf',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_lnunm5u5whf', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '2drmmip9wm8',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '0c6l5nknqd6',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'kw6i9s63ggz',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'uezisti7rv4',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'q1797g6o32f',
        name: 'f_xuyoxw39hz5',
        type: 'string',
        interface: 'input',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'C-F2' },
      },
      {
        key: '4ak6gopry6k',
        name: 'f_h009d270nem',
        type: 'string',
        interface: 'input',
        collectionName: 't_5oby9wk4bm5',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'C-F1' },
      },
    ],
    category: [
      {
        id: 9,
        createdAt: '2023-05-09T01:12:30.191Z',
        updatedAt: '2023-05-09T01:12:30.191Z',
        name: 'test',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-05-09T01:13:15.147Z',
          updatedAt: '2023-05-09T01:13:15.147Z',
          collectionName: 't_5oby9wk4bm5',
          categoryId: 9,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'b07j3ue6igp',
    name: 't_dzvybf9lfg8',
    title: 'D',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'ygkzcpcgqfs',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_dzvybf9lfg8',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '8wjbkaax0gl',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_dzvybf9lfg8',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '664trdl7sf4',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_dzvybf9lfg8',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '90f1tscyqo1',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_dzvybf9lfg8',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'fe53xcalyki',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_dzvybf9lfg8',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'tifs20rsl7e',
        name: 'f_tzgmc1gaxcp',
        type: 'string',
        interface: 'input',
        collectionName: 't_dzvybf9lfg8',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'D-F1' },
      },
      {
        key: 'zr8tu68m7ev',
        name: 'f_6srmfvya8hg',
        type: 'string',
        interface: 'input',
        collectionName: 't_dzvybf9lfg8',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'D-F2' },
      },
    ],
    category: [
      {
        id: 9,
        createdAt: '2023-05-09T01:12:30.191Z',
        updatedAt: '2023-05-09T01:12:30.191Z',
        name: 'test',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-05-09T01:13:32.505Z',
          updatedAt: '2023-05-09T01:13:32.505Z',
          collectionName: 't_dzvybf9lfg8',
          categoryId: 9,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'rqi8lvaoqk3',
    name: 't_pxngpsdsp0m',
    title: 'trees',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'vtgadd04toy',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 't_pxngpsdsp0m',
      },
      {
        key: 'd4g5u13h4x8',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 't_pxngpsdsp0m',
        targetKey: 'id',
      },
      {
        key: 'ec1h6s4fw68',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 't_pxngpsdsp0m',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'raifes8g6lk',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'hfzqk7rmq3s',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'c2llsvbc82k',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7btpxgeygb5',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'wt1vuuuu3xx',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_pxngpsdsp0m',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: '3m3cipziz06',
    name: 't_j7qydzmn8nh',
    title: 'files',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'l8g5rwhmnrv',
        name: 'title',
        type: 'string',
        interface: 'input',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("Title")}}', 'x-component': 'Input' },
      },
      {
        key: 'zvyid1yas9d',
        name: 'filename',
        type: 'string',
        interface: 'input',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'string',
          title: '{{t("File name", { ns: "file-manager" })}}',
          'x-component': 'Input',
          'x-read-pretty': true,
        },
      },
      {
        key: 'nld9ui2wcow',
        name: 'extname',
        type: 'string',
        interface: 'input',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'string',
          title: '{{t("Extension name", { ns: "file-manager" })}}',
          'x-component': 'Input',
          'x-read-pretty': true,
        },
      },
      {
        key: 'y1b40dsxvy9',
        name: 'size',
        type: 'integer',
        interface: 'integer',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'number',
          title: '{{t("Size", { ns: "file-manager" })}}',
          'x-component': 'InputNumber',
          'x-read-pretty': true,
          'x-component-props': { stringMode: true, step: '0' },
        },
      },
      {
        key: 'gs7ltdhrcvg',
        name: 'mimetype',
        type: 'string',
        interface: 'input',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'string',
          title: '{{t("Mime type", { ns: "file-manager" })}}',
          'x-component': 'Input',
          'x-read-pretty': true,
        },
      },
      {
        key: '6v2s8vn3b8i',
        name: 'path',
        type: 'string',
        interface: 'input',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("Path")}}', 'x-component': 'Input', 'x-read-pretty': true },
      },
      {
        key: 'lai8hnejtnj',
        name: 'url',
        type: 'string',
        interface: 'input',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("URL")}}', 'x-component': 'Input.URL', 'x-read-pretty': true },
      },
      {
        key: 'aocwfx0ma7p',
        name: 'preview',
        type: 'string',
        interface: 'url',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        field: 'url',
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("Preview")}}', 'x-component': 'Preview', 'x-read-pretty': true },
      },
      {
        key: 'f8774tz3s0u',
        name: 'storage',
        type: 'belongsTo',
        interface: null,
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        comment: '存储引擎',
        target: 'storages',
        foreignKey: 'storageId',
        deletable: false,
        targetKey: 'id',
      },
      {
        key: 'u6d6xseozys',
        name: 'meta',
        type: 'jsonb',
        interface: null,
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        defaultValue: {},
      },
      {
        key: 'nfmy4ej1ay1',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'dzpchoxm4l8',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'd8b642xlr8m',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'oo6stq8v7ez',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'kqodm4dd0ww',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_j7qydzmn8nh',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'AssociationField',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [],
    logging: true,
    template: 'file',
    view: false,
    createdBy: true,
    updatedBy: true,
    storage: 'local',
  },
  {
    key: 'dklp4l9pnh8',
    name: 'vv_mnt_org',
    title: '组织视图',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '6px8cqtw0h1',
        name: 'created_at',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        field: 'created_at',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
        source: 'tt_mnt_org.createdAt',
      },
      {
        key: 'dphf2h601qs',
        name: 'updated_at',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        field: 'updated_at',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
        source: 'tt_mnt_org.updatedAt',
      },
      {
        key: '7l2npo1zex0',
        name: 'sort',
        type: 'bigInt',
        interface: null,
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: 'mkqk8wcx0lx',
        name: 'created_by_id',
        type: 'bigInt',
        interface: null,
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: 'e1v7cozx0q4',
        name: 'updated_by_id',
        type: 'bigInt',
        interface: null,
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: '27eokt923ox',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        source: 'tt_mnt_org.id',
      },
      {
        key: '6cyn2xtw2vx',
        name: 'orgcode',
        type: 'sequence',
        interface: 'sequence',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        patterns: [
          { type: 'string', options: { value: '区域编码' } },
          { type: 'integer', options: { digits: 9, start: 1, key: 57455 } },
        ],
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-component-props': {}, title: '公司编号(自动编码)' },
        inputable: false,
        source: 'tt_mnt_org.orgcode',
      },
      {
        key: '3f7k4r01r5n',
        name: 'orgname',
        type: 'string',
        interface: 'input',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: '公司名称(单行文本)' },
        source: 'tt_mnt_org.orgname',
      },
      {
        key: '9riydqg60kg',
        name: 'address',
        type: 'text',
        interface: 'textarea',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input.TextArea', title: '公司地址(多行文本)' },
        source: 'tt_mnt_org.address',
      },
      {
        key: 'xcsolbcrxp3',
        name: 'phone',
        type: 'string',
        interface: 'phone',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          'x-component': 'Input',
          'x-component-props': { type: 'tel' },
          title: '负责人电话(手机号码)',
        },
        source: 'tt_mnt_org.phone',
      },
      {
        key: 'yons97tb7zs',
        name: 'email',
        type: 'string',
        interface: 'email',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', 'x-validator': 'email', title: '电子邮箱(电子邮箱)' },
        source: 'tt_mnt_org.email',
      },
      {
        key: 'y2smubjpxu5',
        name: 'staffnum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '员工人数(整数)',
        },
        source: 'tt_mnt_org.staffnum',
      },
      {
        key: '7k0talzje72',
        name: 'insurednum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '参保人数(整数)',
        },
        source: 'tt_mnt_org.insurednum',
      },
      {
        key: 'ipzizlum28w',
        name: 'regcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '注册资本(数字)',
        },
        source: 'tt_mnt_org.regcapital',
      },
      {
        key: 'niu3hjgdig2',
        name: 'paidcapital',
        type: 'double',
        interface: 'number',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.0001', stringMode: true },
          type: 'number',
          'x-component': 'InputNumber',
          title: '实缴资本(数字)',
        },
        source: 'tt_mnt_org.paidcapital',
      },
      {
        key: '2hwllfaub4n',
        name: 'insuranceratio',
        type: 'float',
        interface: 'percent',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { step: '0.01', stringMode: true, addonAfter: '%' },
          type: 'string',
          'x-component': 'Percent',
          title: '参保占比(百分比)',
        },
        source: 'tt_mnt_org.insuranceratio',
      },
      {
        key: 'jxnfwmgdxgp',
        name: 'isenable',
        type: 'boolean',
        interface: 'checkbox',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'boolean', 'x-component': 'Checkbox', title: '是否启用(勾选)' },
        source: 'tt_mnt_org.isenable',
      },
      {
        key: 'slinazz3qv8',
        name: 'status_singleselect',
        type: 'string',
        interface: 'select',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Select',
          title: '公司状态(下拉单选)',
        },
        source: 'tt_mnt_org.status_singleselect',
      },
      {
        key: 'uddfkh1num0',
        name: 'range_multipleselect',
        type: 'array',
        interface: 'multipleSelect',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'array',
          'x-component': 'Select',
          'x-component-props': { mode: 'multiple' },
          title: '经营范围(下拉多选)',
        },
        defaultValue: [],
        source: 'tt_mnt_org.range_multipleselect',
      },
      {
        key: 'bx9qh1dk43g',
        name: 'status_radio',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: '1', label: '存续' },
            { value: '2', label: '在业' },
            { value: '3', label: '吊销' },
            { value: '4', label: '注销' },
            { value: '5', label: '迁入' },
            { value: '6', label: '迁出' },
            { value: '7', label: '停业' },
            { value: '8', label: '清算' },
          ],
          type: 'string',
          'x-component': 'Radio.Group',
          title: '公司状态(单选)',
        },
        source: 'tt_mnt_org.status_radio',
      },
      {
        key: 'idqa80kjk5w',
        name: 'range_check',
        type: 'array',
        interface: 'checkboxGroup',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          enum: [
            { value: 'F3134', label: '软件销售' },
            { value: 'I3006', label: '软件开发' },
            { value: 'I3007', label: '人工智能基础软件开发' },
            { value: 'I3008', label: '人工智能应用软件开发' },
            { value: 'I3010', label: '软件外包服务' },
            { value: 'I3011', label: '网络与信息安全软件开发' },
            { value: 'I3012', label: '人工智能理论与算法软件开发' },
            { value: 'I3014', label: '数字文化创意软件开发' },
            { value: 'I3027', label: '信息技术咨询服务' },
            { value: 'I3032', label: '数据处理服务' },
            { value: 'I3034', label: '计算机系统服务' },
            { value: 'L2032', label: '信息咨询服务（不含许可类信息咨询服务）' },
            { value: 'L2095', label: '企业管理咨询' },
            { value: 'M2070', label: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广' },
            { value: 'O3010', label: '咨询策划服务' },
            { value: 'P1029', label: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）' },
          ],
          type: 'string',
          'x-component': 'Checkbox.Group',
          title: '经营范围(复选)',
        },
        defaultValue: [],
        source: 'tt_mnt_org.range_check',
      },
      {
        key: 'y4bq6qwmkic',
        name: 'range_markdown',
        type: 'text',
        interface: 'markdown',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Markdown', title: '经营范围(Markdown)' },
        source: 'tt_mnt_org.range_markdown',
      },
      {
        key: 'nwnbnr21muz',
        name: 'range_richtext',
        type: 'text',
        interface: 'richText',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'RichText', title: '经营范围(富文本)' },
        source: 'tt_mnt_org.range_richtext',
      },
      {
        key: '6kzm538xtpi',
        name: 'establishdate',
        type: 'date',
        interface: 'datetime',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { dateFormat: 'YYYY-MM-DD', gmt: false, showTime: false },
          type: 'string',
          'x-component': 'DatePicker',
          title: '成立日期(日期)',
        },
        source: 'tt_mnt_org.establishdate',
      },
      {
        key: '85hs6kbvo2m',
        name: 'testcasenum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试用例编号',
        },
        source: 'tt_mnt_org.testcasenum',
      },
      {
        key: 'mvi4qwygebv',
        name: 'testdatanum',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'number',
          'x-component': 'InputNumber',
          'x-component-props': { stringMode: true, step: '0' },
          'x-validator': 'integer',
          title: '测试数据编号',
        },
        source: 'tt_mnt_org.testdatanum',
      },
      {
        key: '7ftrk917rab',
        name: 'range_json',
        type: 'json',
        interface: 'json',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        defaultValue: null,
        uiSchema: {
          type: 'object',
          'x-component': 'Input.JSON',
          'x-component-props': { autoSize: { minRows: 5 } },
          default: null,
          title: '经营范围(JSON)',
        },
        source: 'tt_mnt_org.range_json',
      },
      {
        key: '7t1g6e9n0sj',
        name: 'address_point',
        type: 'point',
        interface: 'point',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(点)',
        },
        source: 'tt_mnt_org.address_point',
      },
      {
        key: 'tsa9fo2uk5k',
        name: 'address_line',
        type: 'lineString',
        interface: 'lineString',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(线)',
        },
        source: 'tt_mnt_org.address_line',
      },
      {
        key: 'txjhzm1ttug',
        name: 'address_circle',
        type: 'circle',
        interface: 'circle',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(圆)',
        },
        source: 'tt_mnt_org.address_circle',
      },
      {
        key: 'apqm5rxq24q',
        name: 'address_polygon',
        type: 'polygon',
        interface: 'polygon',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          'x-component-props': { mapType: 'amap' },
          type: 'void',
          'x-component': 'Map',
          'x-component-designer': 'Map.Designer',
          title: '公司地址坐标(多边形)',
        },
        source: 'tt_mnt_org.address_polygon',
      },
      {
        key: 'uaxyd1u8suz',
        name: 'url',
        type: 'string',
        interface: 'url',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '官网地址(URL)', 'x-component': 'Input.URL' },
        source: 'tt_mnt_org.url',
      },
      {
        key: 'wp0jh615ghw',
        name: 'ownerid',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'vv_mnt_org',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'ownerid', 'x-component': 'InputNumber', 'x-read-pretty': true },
        source: 'tt_mnt_org.ownerid',
      },
    ],
    category: [],
    logging: true,
    schema: 'public',
    viewName: 'vv_mnt_org',
    sources: ['tt_mnt_org'],
    preview: {
      '0': {
        created_at: '2023-05-22T02:10:55.000Z',
        updated_at: '2023-07-19T22:44:41.000Z',
        id: 4,
        orgcode: '430004',
        orgname: '宇宁制药有限责任公司',
        address: '328 Jingtian East 1st St, Futian District',
        phone: '755-3659-2323',
        email: 'cmsi92@icloud.com',
        staffnum: 132,
        insurednum: 110,
        regcapital: 175.7828,
        paidcapital: 290.7203,
        insuranceratio: 45.74,
        isenable: true,
        status_singleselect: '8',
        range_multipleselect: ['I3006', 'I3007', 'I3008', 'I3010', 'I3011', 'I3012', 'I3027', 'M2070', '99999'],
        status_radio: null,
        range_check: ['F3134', 'I3006', 'I3007', 'I3012', 'I3014', 'I3032', 'L2095', 'P1029', '99999'],
        range_markdown:
          '软件销售, 人工智能基础软件开发, 软件外包服务, 数字文化创意软件开发, 计算机系统服务, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        range_richtext:
          '软件外包服务, 人工智能理论与算法软件开发, 信息技术咨询服务, 计算机系统服务, 企业管理咨询, 咨询策划服务, ',
        establishdate: '2021-01-08T16:46:38.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          F3134: '软件销售',
          I3011: '网络与信息安全软件开发',
          I3014: '数字文化创意软件开发',
          I3027: '信息技术咨询服务',
          I3032: '数据处理服务',
          I3034: '计算机系统服务',
          L2095: '企业管理咨询',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
          O3010: '咨询策划服务',
          P1029: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）',
        },
        url: 'http://www.czhennan4.biz/ToolsHomeDecoration',
        ownerid: 1094,
      },
      '1': {
        created_at: '2023-03-25T22:18:26.000Z',
        updated_at: '2023-06-27T06:57:51.000Z',
        id: 5,
        orgcode: '630005',
        orgname: "Grant's Network Systems LLC",
        address: '成华区双庆路397号',
        phone: '149-8059-2712',
        email: 'turneal@gmail.com',
        staffnum: 193,
        insurednum: 3,
        regcapital: 116.4198,
        paidcapital: 267.387,
        insuranceratio: 62.02,
        isenable: true,
        status_singleselect: '3',
        range_multipleselect: [
          'F3134',
          'I3006',
          'I3007',
          'I3008',
          'I3010',
          'I3012',
          'I3014',
          'I3032',
          'I3034',
          'L2032',
          '99999',
        ],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['I3006', 'I3027', 'L2095', 'P1029', '99999'],
        range_markdown:
          '人工智能应用软件开发, 人工智能理论与算法软件开发, 数字文化创意软件开发, 信息技术咨询服务, 计算机系统服务, 咨询策划服务, ',
        range_richtext:
          '软件销售, 软件外包服务, 人工智能理论与算法软件开发, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, 咨询策划服务, ',
        establishdate: '2023-09-09T15:50:04.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          I3006: '软件开发',
          I3008: '人工智能应用软件开发',
          I3010: '软件外包服务',
          I3027: '信息技术咨询服务',
          L2032: '信息咨询服务（不含许可类信息咨询服务）',
          L2095: '企业管理咨询',
          O3010: '咨询策划服务',
        },
        url: 'http://auth.fujr.jp/Food',
        ownerid: 2726,
      },
      '2': {
        created_at: '2023-04-01T16:13:17.000Z',
        updated_at: '2023-05-22T09:24:17.000Z',
        id: 6,
        orgcode: '630006',
        orgname: 'Jacob Telecommunication LLC',
        address: '东泰五街968号',
        phone: '769-163-0302',
        email: 'ikiw@gmail.com',
        staffnum: 129,
        insurednum: 198,
        regcapital: 28.8318,
        paidcapital: 17.9883,
        insuranceratio: 87.39,
        isenable: true,
        status_singleselect: '1',
        range_multipleselect: [
          'I3006',
          'I3007',
          'I3008',
          'I3012',
          'I3014',
          'I3032',
          'L2032',
          'O3010',
          'P1029',
          '99999',
        ],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['F3134', 'I3006', 'I3010', 'I3011', 'I3027', 'I3032', 'L2095', 'M2070', '99999'],
        range_markdown:
          '软件销售, 软件开发, 软件外包服务, 人工智能理论与算法软件开发, 数字文化创意软件开发, 数据处理服务, 计算机系统服务, 信息咨询服务（不含许可类信息咨询服务）, 企业管理咨询, 咨询策划服务, ',
        range_richtext:
          '软件销售, 软件开发, 人工智能应用软件开发, 软件外包服务, 网络与信息安全软件开发, 人工智能理论与算法软件开发, 数字文化创意软件开发, 信息技术咨询服务, 信息咨询服务（不含许可类信息咨询服务）, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, ',
        establishdate: '2023-04-11T23:07:14.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          F3134: '软件销售',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3014: '数字文化创意软件开发',
          L2032: '信息咨询服务（不含许可类信息咨询服务）',
          L2095: '企业管理咨询',
          O3010: '咨询策划服务',
          P1029: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）',
        },
        url: 'http://www.wmsiu.cn/ClothingShoesandJewelry',
        ownerid: null,
      },
      '3': {
        created_at: '2023-04-02T04:03:53.000Z',
        updated_at: '2023-06-14T12:56:19.000Z',
        id: 59,
        orgcode: '210059',
        orgname: '陶記制药有限责任公司',
        address: null,
        phone: '179-0776-0684',
        email: 'yuto426@gmail.com',
        staffnum: 154,
        insurednum: 183,
        regcapital: null,
        paidcapital: 78.4742,
        insuranceratio: 51.93,
        isenable: true,
        status_singleselect: '1',
        range_multipleselect: ['F3134', 'I3010', 'I3011', 'I3012', 'I3014', 'M2070', 'O3010', 'P1029', '99999'],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['F3134', 'I3006', 'I3007', 'I3010', 'I3027', 'I3032', 'I3034', 'L2095', 'M2070', '99999'],
        range_markdown:
          '软件外包服务, 网络与信息安全软件开发, 数字文化创意软件开发, 数据处理服务, 计算机系统服务, 信息咨询服务（不含许可类信息咨询服务）, 企业管理咨询, ',
        range_richtext:
          '软件销售, 软件开发, 数字文化创意软件开发, 信息技术咨询服务, 数据处理服务, 计算机系统服务, 信息咨询服务（不含许可类信息咨询服务）, ',
        establishdate: '2023-01-31T01:55:31.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          I3006: '软件开发',
          I3008: '人工智能应用软件开发',
          I3027: '信息技术咨询服务',
          I3034: '计算机系统服务',
          L2095: '企业管理咨询',
          P1029: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）',
        },
        url: 'http://drive.pati.co.jp/ArtsHandicraftsSewing',
        ownerid: 4496,
      },
      '4': {
        created_at: '2023-07-08T09:41:18.000Z',
        updated_at: '2023-08-04T03:25:41.000Z',
        id: 11,
        orgcode: '230011',
        orgname: 'Alexander Trading Inc.',
        address: '21 4th Section  Renmin South Road, Jinjiang District',
        phone: '28-964-2526',
        email: 'stewart324@gmail.com',
        staffnum: 74,
        insurednum: 119,
        regcapital: 205.9118,
        paidcapital: 252.7905,
        insuranceratio: 32.57,
        isenable: true,
        status_singleselect: '4',
        range_multipleselect: [
          'F3134',
          'I3006',
          'I3010',
          'I3011',
          'I3014',
          'I3027',
          'I3032',
          'L2095',
          'M2070',
          '99999',
        ],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: [
          'F3134',
          'I3006',
          'I3010',
          'I3011',
          'I3034',
          'L2032',
          'L2095',
          'M2070',
          'O3010',
          'P1029',
          '99999',
        ],
        range_markdown:
          '软件销售, 软件开发, 人工智能应用软件开发, 软件外包服务, 数字文化创意软件开发, 信息技术咨询服务, 计算机系统服务, 信息咨询服务（不含许可类信息咨询服务）, 企业管理咨询, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, ',
        range_richtext:
          '软件销售, 人工智能应用软件开发, 软件外包服务, 人工智能理论与算法软件开发, 计算机系统服务, 咨询策划服务, ',
        establishdate: '2022-10-25T03:57:53.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          I3006: '软件开发',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3010: '软件外包服务',
          I3012: '人工智能理论与算法软件开发',
          I3032: '数据处理服务',
          I3034: '计算机系统服务',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
          O3010: '咨询策划服务',
          P1029: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）',
        },
        url: null,
        ownerid: 119,
      },
      '5': {
        created_at: '2023-04-02T02:35:24.000Z',
        updated_at: '2023-07-22T21:27:03.000Z',
        id: 48,
        orgcode: '530048',
        orgname: "Long's LLC",
        address: '成华区双庆路872号',
        phone: '28-2897-5944',
        email: 'koonwy@outlook.com',
        staffnum: 22,
        insurednum: 17,
        regcapital: 81.2412,
        paidcapital: 89.2826,
        insuranceratio: 22.58,
        isenable: true,
        status_singleselect: '8',
        range_multipleselect: ['I3008', 'I3011', 'I3012', 'I3034', 'L2032', '99999'],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['F3134', 'I3006', 'I3008', 'I3011', 'I3012', 'I3034', 'L2032', 'M2070', 'O3010', '99999'],
        range_markdown:
          '软件销售, 人工智能基础软件开发, 人工智能应用软件开发, 数字文化创意软件开发, 信息技术咨询服务, 数据处理服务, 信息咨询服务（不含许可类信息咨询服务）, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, ',
        range_richtext:
          '软件销售, 软件开发, 软件外包服务, 网络与信息安全软件开发, 数据处理服务, 计算机系统服务, 咨询策划服务, ',
        establishdate: '2023-08-06T15:31:45.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          I3008: '人工智能应用软件开发',
          I3011: '网络与信息安全软件开发',
          I3027: '信息技术咨询服务',
          I3032: '数据处理服务',
          L2095: '企业管理咨询',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
          P1029: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）',
        },
        url: 'https://auth.zj2017.org/Beauty',
        ownerid: 1928,
      },
      '6': {
        created_at: '2023-07-11T07:34:49.000Z',
        updated_at: '2023-06-09T20:51:17.000Z',
        id: 25,
        orgcode: '550025',
        orgname: '赵記发展贸易有限责任公司',
        address: '607 Sanlitun Road, Chaoyang District',
        phone: '144-4751-3753',
        email: null,
        staffnum: 64,
        insurednum: null,
        regcapital: 78.8595,
        paidcapital: 71.565,
        insuranceratio: 58.15,
        isenable: true,
        status_singleselect: '7',
        range_multipleselect: ['F3134', 'I3006', 'I3011', 'I3027', 'I3032', 'L2032', 'L2095', '99999'],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['I3008', 'I3027', 'I3034', 'L2032', 'O3010', 'P1029', '99999'],
        range_markdown:
          '软件销售, 人工智能应用软件开发, 软件外包服务, 人工智能理论与算法软件开发, 数据处理服务, 计算机系统服务, 企业管理咨询, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, 咨询策划服务, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        range_richtext:
          '软件开发, 人工智能基础软件开发, 人工智能应用软件开发, 软件外包服务, 人工智能理论与算法软件开发, 数字文化创意软件开发, 信息技术咨询服务, 计算机系统服务, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        establishdate: null,
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          F3134: '软件销售',
          I3006: '软件开发',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3011: '网络与信息安全软件开发',
          I3014: '数字文化创意软件开发',
          I3032: '数据处理服务',
          L2032: '信息咨询服务（不含许可类信息咨询服务）',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
        },
        url: 'https://video.kakeungw.net/VideoGames',
        ownerid: 2514,
      },
      '7': {
        created_at: '2023-06-30T09:34:24.000Z',
        updated_at: '2023-05-07T04:48:07.000Z',
        id: 26,
        orgcode: '520026',
        orgname: '钱記有限责任公司',
        address: '106 S Broadway',
        phone: null,
        email: 'hla53@gmail.com',
        staffnum: 128,
        insurednum: 172,
        regcapital: 45.8576,
        paidcapital: 49.0852,
        insuranceratio: 69.17,
        isenable: true,
        status_singleselect: '5',
        range_multipleselect: ['F3134', 'I3010', 'L2095', 'P1029', '99999'],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['F3134', 'I3006', 'I3008', 'I3010', 'I3027', 'I3032', 'L2095', 'O3010', '99999'],
        range_markdown:
          '软件销售, 人工智能基础软件开发, 人工智能应用软件开发, 网络与信息安全软件开发, 人工智能理论与算法软件开发, 数字文化创意软件开发, 信息技术咨询服务, 计算机系统服务, 信息咨询服务（不含许可类信息咨询服务）, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, 咨询策划服务, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        range_richtext:
          '人工智能应用软件开发, 网络与信息安全软件开发, 人工智能理论与算法软件开发, 信息技术咨询服务, 信息咨询服务（不含许可类信息咨询服务）, 企业管理咨询, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, 咨询策划服务, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        establishdate: '2022-03-22T20:41:25.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          I3006: '软件开发',
          I3007: '人工智能基础软件开发',
          I3010: '软件外包服务',
          I3011: '网络与信息安全软件开发',
          I3012: '人工智能理论与算法软件开发',
          I3014: '数字文化创意软件开发',
          I3027: '信息技术咨询服务',
          I3034: '计算机系统服务',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
          O3010: '咨询策划服务',
        },
        url: 'http://drive.songzhiyuan.jp/SportsOutdoor',
        ownerid: 3759,
      },
      '8': {
        created_at: '2023-05-05T06:12:02.000Z',
        updated_at: '2023-05-04T19:41:58.000Z',
        id: 31,
        orgcode: '430031',
        orgname: 'Hughes LLC',
        address: '980 4th Section  Renmin South Road, Jinjiang District',
        phone: '147-7853-0142',
        email: 'scao@mail.com',
        staffnum: 135,
        insurednum: null,
        regcapital: 139.2834,
        paidcapital: 173.014,
        insuranceratio: 62.83,
        isenable: true,
        status_singleselect: '2',
        range_multipleselect: ['F3134', 'I3006', 'I3014', 'I3032', 'I3034', 'P1029', '99999'],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['F3134', 'I3006', 'I3008', 'I3010', 'I3034', 'M2070', 'O3010', 'P1029', '99999'],
        range_markdown:
          '人工智能基础软件开发, 软件外包服务, 数字文化创意软件开发, 信息技术咨询服务, 数据处理服务, 计算机系统服务, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        range_richtext:
          '软件销售, 软件开发, 人工智能基础软件开发, 软件外包服务, 人工智能理论与算法软件开发, 信息技术咨询服务, 数据处理服务, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        establishdate: '2023-11-10T02:30:06.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          F3134: '软件销售',
          I3007: '人工智能基础软件开发',
          I3008: '人工智能应用软件开发',
          I3010: '软件外包服务',
          I3011: '网络与信息安全软件开发',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
        },
        url: 'http://image.ikedayu1224.com/Baby',
        ownerid: 3625,
      },
      '9': {
        created_at: '2023-03-10T11:17:24.000Z',
        updated_at: '2023-07-25T07:52:00.000Z',
        id: 35,
        orgcode: '150035',
        orgname: '邵記系统有限责任公司',
        address: '209 1st Ave',
        phone: '718-246-6197',
        email: 'akat@hotmail.com',
        staffnum: 185,
        insurednum: 191,
        regcapital: 262.7247,
        paidcapital: 299.6833,
        insuranceratio: 45.48,
        isenable: null,
        status_singleselect: '1',
        range_multipleselect: [
          'F3134',
          'I3007',
          'I3014',
          'I3027',
          'I3032',
          'I3034',
          'L2032',
          'M2070',
          'O3010',
          '99999',
        ],
        status_radio: '1\r\n2\r\n3\r\n4\r\n5\r\n6\r\n7\r\n8',
        range_check: ['I3006', 'I3007', 'I3010', 'I3032', 'I3034', 'M2070', 'P1029', '99999'],
        range_markdown:
          '软件外包服务, 信息技术咨询服务, 计算机系统服务, 信息咨询服务（不含许可类信息咨询服务）, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, 业务培训（不含教育培训、职业技能培训等需取得许可的培训）, ',
        range_richtext:
          '人工智能基础软件开发, 人工智能理论与算法软件开发, 数据处理服务, 计算机系统服务, 企业管理咨询, 技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广, ',
        establishdate: '2022-06-04T09:44:46.000Z',
        testcasenum: null,
        testdatanum: null,
        range_json: {
          '99999': '其他',
          F3134: '软件销售',
          I3007: '人工智能基础软件开发',
          I3010: '软件外包服务',
          I3011: '网络与信息安全软件开发',
          L2032: '信息咨询服务（不含许可类信息咨询服务）',
          L2095: '企业管理咨询',
          M2070: '技术服务、技术开发、技术咨询、技术交流、技术转让、技术推广',
          P1029: '业务培训（不含教育培训、职业技能培训等需取得许可的培训）',
        },
        url: 'http://video.fuchungyin1009.co.jp/ArtsHandicraftsSewing',
        ownerid: 1001,
      },
    },
    template: 'view',
    view: true,
    databaseView: 'public_vv_mnt_org',
  },
  {
    key: 'xtk56z0yjzb',
    name: 'aa',
    title: 'aa',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'j4t51v3wxtw',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'aa',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'vri1jdk7ysw',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'aa',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xlk307xa19f',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'aa',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'vtdq8t63l78',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'aa',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3y3ynrqsfsi',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'aa',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'qs67jpdnpeh',
        name: 'aa',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'aa',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_t4pkpermzh1',
        otherKey: 'f_jmnyo7vo5rj',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: 'aa',
        },
        target: 'aa1',
        through: 't_xku93piwwae',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: '70uwbllibbr',
        name: 'b',
        type: 'string',
        interface: 'input',
        collectionName: 'aa',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', 'x-component': 'Input', title: 'b' },
      },
    ],
    category: [],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '4rnueayft2n',
    name: 'aa1',
    title: 'aa1',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '7ukdsq5qy1g',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'aa1',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '0yyvb79lzad',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'aa1',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'm9zqm6zrr2n',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'aa1',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'nrpfezkba3o',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'aa1',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xl0r7jz0spn',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'aa1',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '8yn8vj4vege',
    name: 't_xku93piwwae',
    title: 't_xku93piwwae',
    inherit: false,
    hidden: true,
    fields: [
      {
        key: 'fzewe6y2wur',
        name: 'f_t4pkpermzh1',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_xku93piwwae',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_t4pkpermzh1', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'k0pxuvlwf86',
        name: 'f_jmnyo7vo5rj',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_xku93piwwae',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_jmnyo7vo5rj', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
    ],
    category: [],
    timestamps: true,
    autoGenId: false,
    autoCreate: true,
    isThrough: true,
    sortable: false,
  },
  {
    key: '5qce4bd6cq2',
    name: 't_x56v8iecqxz',
    title: '普通数据表',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'e1h4mvu9msa',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_x56v8iecqxz',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'shstya9jvc5',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_x56v8iecqxz',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9sjgs576l25',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_x56v8iecqxz',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'mv2276292e1',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_x56v8iecqxz',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3bngd4wa1dy',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_x56v8iecqxz',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 9,
        createdAt: '2023-05-09T01:12:30.191Z',
        updatedAt: '2023-05-09T01:12:30.191Z',
        name: 'test',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-05-18T01:26:56.434Z',
          updatedAt: '2023-05-18T01:26:56.434Z',
          collectionName: 't_x56v8iecqxz',
          categoryId: 9,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
    inherits: ['tt_mnt_org'],
  },
  {
    key: 'w3ru8l72s9b',
    name: 't_4lj2jkoqi92',
    title: '普通数据表1',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '9k1gwqchps4',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_4lj2jkoqi92',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'j824zh1n1sj',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_4lj2jkoqi92',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'kqvwrawbyd5',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_4lj2jkoqi92',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'lyqqnysisd3',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_4lj2jkoqi92',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'dmqp8agri8h',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_4lj2jkoqi92',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 9,
        createdAt: '2023-05-09T01:12:30.191Z',
        updatedAt: '2023-05-09T01:12:30.191Z',
        name: 'test',
        color: 'default',
        collectionCategory: {
          createdAt: '2023-05-18T01:27:21.278Z',
          updatedAt: '2023-05-18T01:27:21.278Z',
          collectionName: 't_4lj2jkoqi92',
          categoryId: 9,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
    inherits: ['tt_mnt_org'],
  },
  {
    key: 'g4eiqncayjp',
    name: 't_q8urpz9hnuc',
    title: 't_q8urpz9hnuc',
    inherit: false,
    hidden: true,
    fields: [
      {
        key: 'mfchh5tlv5i',
        name: 'f_2hnfyftgyr9',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_q8urpz9hnuc',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_2hnfyftgyr9', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'd9p0cvviwyh',
        name: 'f_730dw2m1gm4',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_q8urpz9hnuc',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_730dw2m1gm4', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
    ],
    category: [],
    timestamps: true,
    autoGenId: false,
    autoCreate: true,
    isThrough: true,
    sortable: false,
  },
  {
    key: '6kanl0c9jfq',
    name: 'files1',
    title: 'files1',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'b80qepv80tw',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'l3em5g5nb8o',
        name: 'f_y2x5x205y7p',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_y2x5x205y7p', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'yibeqw6n3wx',
        name: 'f_zpq3hepsrie',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_zpq3hepsrie', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'hh1bwim4vqc',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'bngmma59jy5',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'w6yl00pyoga',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'g0op496af1f',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'btxysn5r4je',
        name: 'f_0ubm11046lj',
        type: 'belongsTo',
        interface: 'obo',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_y2x5x205y7p',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '一对一（belongs to）',
        },
        target: 'files2',
        targetKey: 'id',
      },
      {
        key: 'gydh5hdq66c',
        name: 'f_rrf69sf7105',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_zpq3hepsrie',
        onDelete: 'SET NULL',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
          title: '多对一',
        },
        target: 'files2',
        targetKey: 'id',
      },
      {
        key: '057gz8dkda8',
        name: 'f_p6825ichvzm',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 'files1',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_6e2s68z6sqy',
        otherKey: 'f_gwq98741x02',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: '多对多',
        },
        target: 'files2',
        through: 't_36mo1o9ziaz',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '7nwym78ffhl',
    name: 'files2',
    title: 'files2',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'ptb97xa22rj',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'buziubs57ss',
        name: 'title',
        type: 'string',
        interface: 'input',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("Title")}}', 'x-component': 'Input' },
      },
      {
        key: '595fdbii1so',
        name: 'filename',
        type: 'string',
        interface: 'input',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'string',
          title: '{{t("File name", { ns: "file-manager" })}}',
          'x-component': 'Input',
          'x-read-pretty': true,
        },
      },
      {
        key: 'fsbmpwmwqai',
        name: 'extname',
        type: 'string',
        interface: 'input',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'string',
          title: '{{t("Extension name", { ns: "file-manager" })}}',
          'x-component': 'Input',
          'x-read-pretty': true,
        },
      },
      {
        key: 'pkn0rr36hga',
        name: 'size',
        type: 'integer',
        interface: 'integer',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'number',
          title: '{{t("Size", { ns: "file-manager" })}}',
          'x-component': 'InputNumber',
          'x-read-pretty': true,
          'x-component-props': { stringMode: true, step: '0' },
        },
      },
      {
        key: 'nwf0p69aut2',
        name: 'mimetype',
        type: 'string',
        interface: 'input',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: {
          type: 'string',
          title: '{{t("Mime type", { ns: "file-manager" })}}',
          'x-component': 'Input',
          'x-read-pretty': true,
        },
      },
      {
        key: 'p8jx00fit5p',
        name: 'path',
        type: 'string',
        interface: 'input',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("Path")}}', 'x-component': 'Input', 'x-read-pretty': true },
      },
      {
        key: 'y26s7a1cgsv',
        name: 'url',
        type: 'string',
        interface: 'input',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("URL")}}', 'x-component': 'Input.URL', 'x-read-pretty': true },
      },
      {
        key: 'b7z4oliwajz',
        name: 'preview',
        type: 'string',
        interface: 'url',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        field: 'url',
        deletable: false,
        uiSchema: { type: 'string', title: '{{t("Preview")}}', 'x-component': 'Preview', 'x-read-pretty': true },
      },
      {
        key: 'plgmofuqpwv',
        name: 'storage',
        type: 'belongsTo',
        interface: null,
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        comment: '存储引擎',
        target: 'storages',
        foreignKey: 'storageId',
        deletable: false,
        targetKey: 'id',
      },
      {
        key: '5z8u2t1ttn1',
        name: 'meta',
        type: 'jsonb',
        interface: null,
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        deletable: false,
        defaultValue: {},
      },
      {
        key: 'v2eqhgp0i34',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'xdznsp5q7yl',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '72e2d6cbs3z',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'j2x0t8mda09',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'files2',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [],
    logging: true,
    template: 'file',
    view: false,
    createdBy: true,
    updatedBy: true,
    storage: 'local',
  },
  {
    key: '0keqpf4mcat',
    name: 't_m1ijuicf0gv',
    title: 't_m1ijuicf0gv',
    inherit: false,
    hidden: true,
    fields: [
      {
        key: '24ybw706voh',
        name: 'f_0k4ofegln16',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_m1ijuicf0gv',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_0k4ofegln16', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'dtg2paii83i',
        name: 'f_arwgegt0rcm',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_m1ijuicf0gv',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_arwgegt0rcm', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
    ],
    category: [],
    timestamps: true,
    autoGenId: false,
    autoCreate: true,
    isThrough: true,
    sortable: false,
  },
  {
    key: 'rcco9n7w7yc',
    name: 't_36mo1o9ziaz',
    title: 't_36mo1o9ziaz',
    inherit: false,
    hidden: true,
    fields: [
      {
        key: 'bm91u7im3p8',
        name: 'f_6e2s68z6sqy',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_36mo1o9ziaz',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_6e2s68z6sqy', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'mwgge769get',
        name: 'f_gwq98741x02',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_36mo1o9ziaz',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_gwq98741x02', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
    ],
    category: [],
    timestamps: true,
    autoGenId: false,
    autoCreate: true,
    isThrough: true,
    sortable: false,
  },
  {
    key: 'z7v5k4p9m01',
    name: 'B111',
    title: 'B111',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zg2fgv4lufk',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 'B111',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '2y6sjqq1dfc',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 'B111',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'a2vib06gqrd',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 'B111',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '2eb7ijzarrq',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 'B111',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '9zh6miiyaav',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 'B111',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [
      {
        id: 5,
        createdAt: '2023-04-07T07:21:38.201Z',
        updatedAt: '2023-05-02T05:07:23.295Z',
        name: '人工测试mnt',
        color: 'geekblue',
        collectionCategory: {
          createdAt: '2023-05-29T09:36:39.312Z',
          updatedAt: '2023-05-29T09:36:39.312Z',
          collectionName: 'B111',
          categoryId: 5,
        },
      },
    ],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
    inherits: ['B11'],
  },
  {
    key: '3i58bgbs7fr',
    name: 't_jk8p7yx7b42',
    title: 'E',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'eofsnyab6lk',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_jk8p7yx7b42',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'bvjglafvb7v',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_jk8p7yx7b42',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '0zehqom12z9',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_jk8p7yx7b42',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'cqu3ij1a45c',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_jk8p7yx7b42',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3jt3e7i1cow',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_jk8p7yx7b42',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'ywp3qcz7c2t',
        name: 'f_ghe8d614al0',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 't_jk8p7yx7b42',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'f_shlkpjle1bc',
        otherKey: 'f_5dt8e4ksjmf',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: 'M2M',
        },
        target: 't_jk8p7yx7b42',
        through: 't_2w7x7x4ztgn',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: 'w8q8z40yast',
    name: 't_2w7x7x4ztgn',
    title: 't_2w7x7x4ztgn',
    inherit: false,
    hidden: true,
    fields: [
      {
        key: 'q2fo0ljrf4u',
        name: 'f_shlkpjle1bc',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_2w7x7x4ztgn',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_shlkpjle1bc', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'jaokc1vzwlq',
        name: 'f_5dt8e4ksjmf',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_2w7x7x4ztgn',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_5dt8e4ksjmf', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
    ],
    category: [],
    timestamps: true,
    autoGenId: false,
    autoCreate: true,
    isThrough: true,
    sortable: false,
  },
  {
    key: '9xlwtak737m',
    name: 't_h5ljs7n6u9e',
    title: 'Ta',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'jc0g9jw2757',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_h5ljs7n6u9e',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '5oq8iirz068',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_h5ljs7n6u9e',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'o3e16q2hula',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_h5ljs7n6u9e',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'olb7uq1s9l0',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_h5ljs7n6u9e',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3lrk97iwti4',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_h5ljs7n6u9e',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'kqnft4q7p19',
        name: 'f_bteqg16rzqd',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 't_h5ljs7n6u9e',
        parentKey: null,
        reverseKey: '9afyvbvwbis',
        foreignKey: 'f_yu847kov74q',
        otherKey: 'f_z37uij2lv15',
        uiSchema: {
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
          title: 'Tb',
        },
        target: 't_i1xjvnduc15',
        through: 't_d4sqb0ac7v9',
        targetKey: 'id',
        sourceKey: 'id',
      },
    ],
    category: [],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'general',
    view: false,
  },
  {
    key: '4yaokmwu5qb',
    name: 't_i1xjvnduc15',
    title: 'Tb',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: '6u7v41uupej',
        name: 'parentId',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: '{{t("Parent ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
        target: 't_i1xjvnduc15',
      },
      {
        key: 'coxdy8ish8g',
        name: 'parent',
        type: 'belongsTo',
        interface: 'm2o',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeParent: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Parent")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: false, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 't_i1xjvnduc15',
        targetKey: 'id',
      },
      {
        key: 't7ieor3qh11',
        name: 'children',
        type: 'hasMany',
        interface: 'o2m',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        foreignKey: 'parentId',
        treeChildren: true,
        onDelete: 'CASCADE',
        uiSchema: {
          title: '{{t("Children")}}',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 't_i1xjvnduc15',
        targetKey: 'id',
        sourceKey: 'id',
      },
      {
        key: 'nsaqw9ceg7p',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'i8kxe9f6x2y',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'wxszh71ftmc',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '7iq0khobu0x',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'etuy736goqf',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: '9afyvbvwbis',
        name: 'f_ii8do4py6ti',
        type: 'belongsToMany',
        interface: 'm2m',
        collectionName: 't_i1xjvnduc15',
        parentKey: null,
        reverseKey: 'kqnft4q7p19',
        uiSchema: {
          title: 'Ta',
          'x-component': 'AssociationField',
          'x-component-props': { multiple: true, fieldNames: { label: 'id', value: 'id' } },
        },
        target: 't_h5ljs7n6u9e',
        through: 't_d4sqb0ac7v9',
        sourceKey: 'id',
        foreignKey: 'f_z37uij2lv15',
        targetKey: 'id',
        otherKey: 'f_yu847kov74q',
      },
    ],
    category: [],
    logging: true,
    autoGenId: true,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
    template: 'tree',
    view: false,
    tree: 'adjacencyList',
  },
  {
    key: 'hpg0hnzssbo',
    name: 't_d4sqb0ac7v9',
    title: 't_d4sqb0ac7v9',
    inherit: false,
    hidden: true,
    fields: [
      {
        key: 'v59pgi7j3qv',
        name: 'f_z37uij2lv15',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_d4sqb0ac7v9',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_z37uij2lv15', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'pciyumguddk',
        name: 'f_yu847kov74q',
        type: 'bigInt',
        interface: 'integer',
        collectionName: 't_d4sqb0ac7v9',
        parentKey: null,
        reverseKey: null,
        isForeignKey: true,
        uiSchema: { type: 'number', title: 'f_yu847kov74q', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
    ],
    category: [],
    timestamps: true,
    autoGenId: false,
    autoCreate: true,
    isThrough: true,
    sortable: false,
  },
  {
    key: 'u4kvaik235c',
    name: 't_qg98ir8rqhj',
    title: 'Expression collection',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'us5ooqvbk04',
        name: 'engine',
        type: 'string',
        interface: 'radioGroup',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          title: '{{t("Calculation engine")}}',
          'x-component': 'Radio.Group',
          enum: [
            {
              value: 'math.js',
              label: 'Math.js',
              tooltip:
                "{{t('Math.js comes with a large set of built-in functions and constants, and offers an integrated solution to work with different data types')}}",
              link: 'https://mathjs.org/',
            },
            {
              value: 'formula.js',
              label: 'Formula.js',
              tooltip: '{{t("Formula.js supports most Microsoft Excel formula functions.")}}',
              link: 'https://formulajs.info/functions/',
            },
          ],
          default: 'formula.js',
        },
      },
      {
        key: 'khz40ighmhd',
        name: 'sourceCollection',
        type: 'string',
        interface: 'select',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          title: '{{t("Collection")}}',
          'x-component': 'CollectionSelect',
          'x-component-props': {},
        },
      },
      {
        key: '6hx9xw5jjxp',
        name: 'expression',
        type: 'text',
        interface: 'expression',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        uiSchema: { type: 'string', title: '{{t("Expression")}}', 'x-component': 'DynamicExpression' },
      },
      {
        key: 'laj3s3ibui6',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: 'a8091qeutk9',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'lmpvvf72b55',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'wunl6sh5645',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: 'gkfvclt6gnp',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_qg98ir8rqhj',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [],
    logging: true,
    template: 'expression',
    view: false,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
  },
  {
    key: 'golkeuhvyyt',
    name: 't_rmxki7pqala',
    title: 'Calendar collection',
    inherit: false,
    hidden: false,
    fields: [
      {
        key: 'zlaj7sue98w',
        name: 'cron',
        type: 'string',
        interface: 'select',
        collectionName: 't_rmxki7pqala',
        parentKey: null,
        reverseKey: null,
        uiSchema: {
          type: 'string',
          title: '{{t("Repeats")}}',
          'x-component': 'CronSet',
          'x-component-props': 'allowClear',
          enum: [
            { label: '{{t("Daily")}}', value: '0 0 0 * * ?' },
            { label: '{{t("Weekly")}}', value: 'every_week' },
            { label: '{{t("Monthly")}}', value: 'every_month' },
            { label: '{{t("Yearly")}}', value: 'every_year' },
          ],
        },
      },
      {
        key: 'salhhyvs89j',
        name: 'exclude',
        type: 'json',
        interface: null,
        collectionName: 't_rmxki7pqala',
        parentKey: null,
        reverseKey: null,
      },
      {
        key: '2mn4sy7wz27',
        name: 'id',
        type: 'bigInt',
        interface: 'id',
        collectionName: 't_rmxki7pqala',
        parentKey: null,
        reverseKey: null,
        autoIncrement: true,
        primaryKey: true,
        allowNull: false,
        uiSchema: { type: 'number', title: '{{t("ID")}}', 'x-component': 'InputNumber', 'x-read-pretty': true },
      },
      {
        key: '9oipq8z2vzg',
        name: 'createdAt',
        type: 'date',
        interface: 'createdAt',
        collectionName: 't_rmxki7pqala',
        parentKey: null,
        reverseKey: null,
        field: 'createdAt',
        uiSchema: {
          type: 'datetime',
          title: '{{t("Created at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '4xpeovijhvh',
        name: 'createdBy',
        type: 'belongsTo',
        interface: 'createdBy',
        collectionName: 't_rmxki7pqala',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'createdById',
        uiSchema: {
          type: 'object',
          title: '{{t("Created by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
      {
        key: 'wnf27oef1j3',
        name: 'updatedAt',
        type: 'date',
        interface: 'updatedAt',
        collectionName: 't_rmxki7pqala',
        parentKey: null,
        reverseKey: null,
        field: 'updatedAt',
        uiSchema: {
          type: 'string',
          title: '{{t("Last updated at")}}',
          'x-component': 'DatePicker',
          'x-component-props': {},
          'x-read-pretty': true,
        },
      },
      {
        key: '3jz2ztxmman',
        name: 'updatedBy',
        type: 'belongsTo',
        interface: 'updatedBy',
        collectionName: 't_rmxki7pqala',
        parentKey: null,
        reverseKey: null,
        target: 'users',
        foreignKey: 'updatedById',
        uiSchema: {
          type: 'object',
          title: '{{t("Last updated by")}}',
          'x-component': 'RecordPicker',
          'x-component-props': { fieldNames: { value: 'id', label: 'nickname' } },
          'x-read-pretty': true,
        },
        targetKey: 'id',
      },
    ],
    category: [],
    logging: true,
    template: 'calendar',
    view: false,
    createdBy: true,
    updatedBy: true,
    createdAt: true,
    updatedAt: true,
    sortable: true,
  },
];
